Schema LetterBundle_V0x4.xsd

schema location: | LetterBundle_V0x4.xsd
attribute form default: | unqualified
element form default: | qualified
targetNamespace: | urn:itella-letterbundle-v0x4

Elements | Complex types
Bundle | ElectronicAddressType
BundleCommon | MailAddress
Letter | TextWithLanguageType
LetterBundle |
LetterMeta |
Processing |

element Bundle

diagram |
namespace | urn:itella-letterbundle-v0x4
properties |
content | complex
children | lb:BundleCommon lb:Letter
used by |
element | LetterBundle
attributes |
Name | Type | Use | Default | Fixed | annotation
senderBundleId | xs:string | optional |  |  |
documentation
Sender's Id for the bundle.
bundleId | xs:string | optional |  |  |
documentation
Printing house's ID for the bundle.
annotation |
documentation
One collection of letters
source | <xs:element name="Bundle"> <xs:annotation> <xs:documentation>One collection of letters</xs:documentation> </xs:annotation> <xs:complexType> <xs:sequence> <xs:element ref="lb:BundleCommon"> <xs:annotation> <xs:documentation>Common data for the letter collection</xs:documentation> </xs:annotation> </xs:element> <xs:element ref="lb:Letter" minOccurs="0" maxOccurs="unbounded"/> </xs:sequence> <xs:attribute name="senderBundleId" type="xs:string" use="optional"> <xs:annotation> <xs:documentation>Sender's Id for the bundle.</xs:documentation> </xs:annotation> </xs:attribute> <xs:attribute name="bundleId" type="xs:string" use="optional"> <xs:annotation> <xs:documentation>Printing house's ID for the bundle.</xs:documentation> </xs:annotation> </xs:attribute> </xs:complexType> </xs:element>

attribute Bundle/@senderBundleId

type | xs:string
properties |
isRef | 0
use | optional
annotation |
documentation
Sender's Id for the bundle.
source | <xs:attribute name="senderBundleId" type="xs:string" use="optional"> <xs:annotation> <xs:documentation>Sender's Id for the bundle.</xs:documentation> </xs:annotation> </xs:attribute>

attribute Bundle/@bundleId

type | xs:string
properties |
isRef | 0
use | optional
annotation |
documentation
Printing house's ID for the bundle.
source | <xs:attribute name="bundleId" type="xs:string" use="optional"> <xs:annotation> <xs:documentation>Printing house's ID for the bundle.</xs:documentation> </xs:annotation> </xs:attribute>

element BundleCommon

diagram |
namespace | urn:itella-letterbundle-v0x4
properties |
content | complex
children | lb:Sender lb:StdBundleProcessing lb:BundleProcessingSet lb:DeliveryChannelControl lb:ExternalFile
used by |
element | Bundle
attributes |
Name | Type | Use | Default | Fixed | annotation
isTest | xs:boolean | optional | false |  |
documentation
Is this letter collection used as test sending to the printing house.
creationDate | xs:dateTime | optional |  |  |
documentation
The creation date of the this bundle.
annotation |
documentation
Common data for the bundle
source | <xs:element name="BundleCommon"> <xs:annotation> <xs:documentation>Common data for the bundle</xs:documentation> </xs:annotation> <xs:complexType> <xs:sequence> <xs:element name="Sender"> <xs:annotation> <xs:documentation>One bundle of letter can have only one sender. In this element the sender means the sender of the data to the printing house.</xs:documentation> </xs:annotation> <xs:complexType> <xs:sequence> <xs:element name="SenderAddress" type="lb:MailAddress" minOccurs="0"> <xs:annotation> <xs:documentation>The sender mail address for the whole bundle.</xs:documentation> </xs:annotation> </xs:element> </xs:sequence> <xs:attribute name="ovtID" type="xs:string" use="optional"> <xs:annotation> <xs:documentation>OVT ID (SFS 5748 ) of the original sender of whole bundle. </xs:documentation> </xs:annotation> </xs:attribute> <xs:attribute name="contact" type="xs:string" use="required"> <xs:annotation> <xs:documentation>The contact information of the sender for the printing house as free text format. Example: "email, phoneNumber". This information is used, if error occurred during the data processing in the printing house. </xs:documentation> </xs:annotation> </xs:attribute> <xs:attribute name="companyName" type="xs:string" use="optional"> <xs:annotation> <xs:documentation>The company name of the sender for the printing house. This information is used, if error occurred during the data processing in the printing house. </xs:documentation> </xs:annotation> </xs:attribute> <xs:attribute name="contactPerson" type="xs:string" use="optional"> <xs:annotation> <xs:documentation>The contact person name of the sender for the printing house. This information is used, if error occurred during the data processing in the printing house. </xs:documentation> </xs:annotation> </xs:attribute> <xs:attribute name="phoneNumber" type="xs:string" use="optional"> <xs:annotation> <xs:documentation>The phone number of the sender for the printing house. This information is used, if error occurred during the data processing in the printing house. </xs:documentation> </xs:annotation> </xs:attribute> <xs:attribute name="email" type="xs:string" use="optional"> <xs:annotation> <xs:documentation>The email address of the sender for the printing house. This information is used, if error occurred during the data processing in the printing house. </xs:documentation> </xs:annotation> </xs:attribute> </xs:complexType> </xs:element> <xs:element name="StdBundleProcessing" minOccurs="0"> <xs:complexType> <xs:attribute name="customerId" use="required"> <xs:simpleType> <xs:restriction base="xs:string"> <xs:length value="6"/> </xs:restriction> </xs:simpleType> </xs:attribute> <xs:attribute name="password" use="required"> <xs:simpleType> <xs:restriction base="xs:string"> <xs:length value="4"/> </xs:restriction> </xs:simpleType> </xs:attribute> <xs:attribute name="serviceFunction" use="required"> <xs:simpleType> <xs:restriction base="xs:string"> <xs:length value="1"/> </xs:restriction> </xs:simpleType> </xs:attribute> <xs:attribute name="electronicArchiving" use="required"> <xs:simpleType> <xs:restriction base="xs:string"> <xs:length value="1"/> </xs:restriction> </xs:simpleType> </xs:attribute> <xs:attribute name="letterClass" use="required"> <xs:simpleType> <xs:restriction base="xs:string"> <xs:length value="1"/> </xs:restriction> </xs:simpleType> </xs:attribute> <xs:attribute name="envelope" use="required"> <xs:simpleType> <xs:restriction base="xs:string"> <xs:length value="1"/> </xs:restriction> </xs:simpleType> </xs:attribute> <xs:attribute name="paper" use="required"> <xs:simpleType> <xs:restriction base="xs:string"> <xs:length value="1"/> </xs:restriction> </xs:simpleType> </xs:attribute> <xs:attribute name="fileFormat" use="optional" default="0"> <xs:annotation> <xs:documentation>In PDFeLetter only 0 is allowed.</xs:documentation> </xs:annotation> <xs:simpleType> <xs:restriction base="xs:string"> <xs:length value="1"/> </xs:restriction> </xs:simpleType> </xs:attribute> <xs:attribute name="departmentClassification" type="xs:boolean" use="optional" default="false"/> <xs:attribute name="archivingApplicationID" use="optional"> <xs:simpleType> <xs:restriction base="xs:string"> <xs:whiteSpace value="preserve"/> <xs:length value="2"/> </xs:restriction> </xs:simpleType> </xs:attribute> <xs:attribute name="isDuplex" type="xs:boolean" use="optional"> <xs:annotation> <xs:documentation>Mandatory for PDFeLetter</xs:documentation> </xs:annotation> </xs:attribute> </xs:complexType> </xs:element> <xs:element name="BundleProcessingSet" minOccurs="0" maxOccurs="unbounded"> <xs:annotation> <xs:documentation>These processing settings are for special cases, when the StdLetterProcessing element has not enough information. The bundleProcessingSet defines what processing elements are required in the BUNDLE LEVEL. The printing house defines what processingSetIds are available.</xs:documentation> </xs:annotation> <xs:complexType> <xs:sequence> <xs:element ref="lb:Processing" minOccurs="0" maxOccurs="unbounded"> <xs:annotation> <xs:documentation>The printing house defines what processing elements are required for this printing works in the bundle level or in the letter level.</xs:documentation> </xs:annotation> </xs:element> </xs:sequence> <xs:attribute name="id" type="xs:string" use="required"> <xs:annotation> <xs:documentation>The ID of the the processing set</xs:documentation> </xs:annotation> </xs:attribute> </xs:complexType> </xs:element> <xs:element name="DeliveryChannelControl" minOccurs="0"> <xs:complexType> <xs:sequence> <xs:element name="RestrictMatchingForElectronicDelivery" minOccurs="0"> <xs:annotation> <xs:documentation>If the letter will be delivered in electronic channel, this element controls what data can be used for matching the recipient. The default is that anything can use. If this element exist, only attributes that has true value, can be used. Notice: The used electronic delivery channel may not implement all these recipient matching possibilities. Example of usage: If the sender wants that only SSN is used for matching the recipient then set the recipientSSN attribute to True.</xs:documentation> </xs:annotation> <xs:complexType> <xs:attribute name="recipientSSN" type="xs:boolean" use="optional" default="false"> <xs:annotation> <xs:documentation>The social security number (HETU in Finnish) of the recipient. </xs:documentation> </xs:annotation> </xs:attribute> <xs:attribute name="recipientPhoneNumber" type="xs:boolean" use="optional" default="false"> <xs:annotation> <xs:documentation>The telephone number of the recipient of the letter.</xs:documentation> </xs:annotation> </xs:attribute> <xs:attribute name="recipientEmailAddress" type="xs:boolean" use="optional" default="false"> <xs:annotation> <xs:documentation>The email of the recipient. </xs:documentation> </xs:annotation> </xs:attribute> <xs:attribute name="recipientCustomerCode" type="xs:boolean" use="optional" default="false"> <xs:annotation> <xs:documentation>The customer code of the recipient.</xs:documentation> </xs:annotation> </xs:attribute> <xs:attribute name="recipientIBAN" type="xs:boolean" use="optional" default="false"> <xs:annotation> <xs:documentation>The IBAN (International Bank Account Number) of the recipient.</xs:documentation> </xs:annotation> </xs:attribute> <xs:attribute name="recipientAddress" type="xs:boolean" use="optional" default="false"> <xs:annotation> <xs:documentation>The recipient mail address</xs:documentation> </xs:annotation> </xs:attribute> <xs:attribute name="recipientElectronicAddress" type="xs:boolean" use="optional" default="false"> <xs:annotation> <xs:documentation>Electronic addresses of the recipient.</xs:documentation> </xs:annotation> </xs:attribute> <xs:attribute name="recipientOvtID" type="xs:boolean" use="optional" default="false"> <xs:annotation> <xs:documentation>Recipient OVT ID</xs:documentation> </xs:annotation> </xs:attribute> </xs:complexType> </xs:element> </xs:sequence> <xs:attribute name="denyElectronicCopyDelivery" type="xs:boolean" use="optional" default="false"> <xs:annotation> <xs:documentation>If the value is true then do NOT SEND COPY into the electronic channel. Netpost is for example an electronic delivery channel for letters.</xs:documentation> </xs:annotation> </xs:attribute> <xs:attribute name="denyElectronicOnlyDelivery" type="xs:boolean" use="optional" default="false"> <xs:annotation> <xs:documentation>If the value is true then do NOT send the letter using ONLY electronic channel. Netpost is for example an electronic delivery channel for letters. If the value is false (default) the letter may delivered using ONLY electronic channel if the recipient of the letter is matched with the user in the electronic channel.</xs:documentation> </xs:annotation> </xs:attribute> </xs:complexType> </xs:element> <xs:element name="ExternalFile" minOccurs="0"> <xs:annotation> <xs:documentation>If letter data is in separate file, then this element contains the file data. If this is set, then each letter must have the letter location data in the file.</xs:documentation> </xs:annotation> <xs:complexType> <xs:sequence> <xs:element name="CheckSum" minOccurs="0"> <xs:annotation> <xs:documentation>The check sum of the data file.</xs:documentation> </xs:annotation> <xs:complexType> <xs:attribute name="type" use="required"> <xs:simpleType> <xs:restriction base="xs:string"> <xs:whiteSpace value="collapse"/> <xs:enumeration value="NONE"/> <xs:enumeration value="MD5"/> </xs:restriction> </xs:simpleType> </xs:attribute> <xs:attribute name="value" use="required"> <xs:simpleType> <xs:restriction base="xs:string"> <xs:whiteSpace value="preserve"/> </xs:restriction> </xs:simpleType> </xs:attribute> </xs:complexType> </xs:element> </xs:sequence> <xs:attribute name="format" use="required"> <xs:annotation> <xs:documentation>The format of the file</xs:documentation> </xs:annotation> <xs:simpleType> <xs:restriction base="xs:string"> <xs:enumeration value="PDF"/> </xs:restriction> </xs:simpleType> </xs:attribute> <xs:attribute name="fileName" use="required"> <xs:annotation> <xs:documentation>The name of the file without the path. The LetterBundle xml file and the data file must be located in the same directory.</xs:documentation> </xs:annotation> <xs:simpleType> <xs:restriction base="xs:string"> <xs:whiteSpace value="preserve"/> <xs:pattern value="[-a-zA-ZåäöÅÄÖ0-9_. ]*"/> </xs:restriction> </xs:simpleType> </xs:attribute> <xs:attribute name="senderFileId" type="xs:string" use="optional"> <xs:annotation> <xs:documentation>Sender's ID for the DATA file.</xs:documentation> </xs:annotation> </xs:attribute> <xs:attribute name="fileId" type="xs:string" use="optional"> <xs:annotation> <xs:documentation>Printing house's ID for the DATA file.</xs:documentation> </xs:annotation> </xs:attribute> </xs:complexType> </xs:element> </xs:sequence> <xs:attribute name="isTest" type="xs:boolean" use="optional" default="false"> <xs:annotation> <xs:documentation>Is this letter collection used as test sending to the printing house.</xs:documentation> </xs:annotation> </xs:attribute> <xs:attribute name="creationDate" type="xs:dateTime" use="optional"> <xs:annotation> <xs:documentation>The creation date of the this bundle.</xs:documentation> </xs:annotation> </xs:attribute> </xs:complexType> </xs:element>

attribute BundleCommon/@isTest

type | xs:boolean
properties |
isRef | 0
default | false
use | optional
annotation |
documentation
Is this letter collection used as test sending to the printing house.
source | <xs:attribute name="isTest" type="xs:boolean" use="optional" default="false"> <xs:annotation> <xs:documentation>Is this letter collection used as test sending to the printing house.</xs:documentation> </xs:annotation> </xs:attribute>

attribute BundleCommon/@creationDate

type | xs:dateTime
properties |
isRef | 0
use | optional
annotation |
documentation
The creation date of the this bundle.
source | <xs:attribute name="creationDate" type="xs:dateTime" use="optional"> <xs:annotation> <xs:documentation>The creation date of the this bundle.</xs:documentation> </xs:annotation> </xs:attribute>

element BundleCommon/Sender

diagram |
namespace | urn:itella-letterbundle-v0x4
properties |
isRef | 0
content | complex
children | lb:SenderAddress
attributes |
Name | Type | Use | Default | Fixed | annotation
ovtID | xs:string | optional |  |  |
documentation
OVT ID (SFS 5748 ) of the original sender of whole bundle.
contact | xs:string | required |  |  |
documentation
The contact information of the sender for the printing house as free text format. Example: "email, phoneNumber". This information is used, if error occurred during the data processing in the printing house.
companyName | xs:string | optional |  |  |
documentation
The company name of the sender for the printing house. This information is used, if error occurred during the data processing in the printing house.
contactPerson | xs:string | optional |  |  |
documentation
The contact person name of the sender for the printing house. This information is used, if error occurred during the data processing in the printing house.
phoneNumber | xs:string | optional |  |  |
documentation
The phone number of the sender for the printing house. This information is used, if error occurred during the data processing in the printing house.
email | xs:string | optional |  |  |
documentation
The email address of the sender for the printing house. This information is used, if error occurred during the data processing in the printing house.
annotation |
documentation
One bundle of letter can have only one sender. In this element the sender means the sender of the data to the printing house.
source | <xs:element name="Sender"> <xs:annotation> <xs:documentation>One bundle of letter can have only one sender. In this element the sender means the sender of the data to the printing house.</xs:documentation> </xs:annotation> <xs:complexType> <xs:sequence> <xs:element name="SenderAddress" type="lb:MailAddress" minOccurs="0"> <xs:annotation> <xs:documentation>The sender mail address for the whole bundle.</xs:documentation> </xs:annotation> </xs:element> </xs:sequence> <xs:attribute name="ovtID" type="xs:string" use="optional"> <xs:annotation> <xs:documentation>OVT ID (SFS 5748 ) of the original sender of whole bundle. </xs:documentation> </xs:annotation> </xs:attribute> <xs:attribute name="contact" type="xs:string" use="required"> <xs:annotation> <xs:documentation>The contact information of the sender for the printing house as free text format. Example: "email, phoneNumber". This information is used, if error occurred during the data processing in the printing house. </xs:documentation> </xs:annotation> </xs:attribute> <xs:attribute name="companyName" type="xs:string" use="optional"> <xs:annotation> <xs:documentation>The company name of the sender for the printing house. This information is used, if error occurred during the data processing in the printing house. </xs:documentation> </xs:annotation> </xs:attribute> <xs:attribute name="contactPerson" type="xs:string" use="optional"> <xs:annotation> <xs:documentation>The contact person name of the sender for the printing house. This information is used, if error occurred during the data processing in the printing house. </xs:documentation> </xs:annotation> </xs:attribute> <xs:attribute name="phoneNumber" type="xs:string" use="optional"> <xs:annotation> <xs:documentation>The phone number of the sender for the printing house. This information is used, if error occurred during the data processing in the printing house. </xs:documentation> </xs:annotation> </xs:attribute> <xs:attribute name="email" type="xs:string" use="optional"> <xs:annotation> <xs:documentation>The email address of the sender for the printing house. This information is used, if error occurred during the data processing in the printing house. </xs:documentation> </xs:annotation> </xs:attribute> </xs:complexType> </xs:element>

attribute BundleCommon/Sender/@ovtID

type | xs:string
properties |
isRef | 0
use | optional
annotation |
documentation
OVT ID (SFS 5748 ) of the original sender of whole bundle.
source | <xs:attribute name="ovtID" type="xs:string" use="optional"> <xs:annotation> <xs:documentation>OVT ID (SFS 5748 ) of the original sender of whole bundle. </xs:documentation> </xs:annotation> </xs:attribute>

attribute BundleCommon/Sender/@contact

type | xs:string
properties |
isRef | 0
use | required
annotation |
documentation
The contact information of the sender for the printing house as free text format. Example: "email, phoneNumber". This information is used, if error occurred during the data processing in the printing house.
source | <xs:attribute name="contact" type="xs:string" use="required"> <xs:annotation> <xs:documentation>The contact information of the sender for the printing house as free text format. Example: "email, phoneNumber". This information is used, if error occurred during the data processing in the printing house. </xs:documentation> </xs:annotation> </xs:attribute>

attribute BundleCommon/Sender/@companyName

type | xs:string
properties |
isRef | 0
use | optional
annotation |
documentation
The company name of the sender for the printing house. This information is used, if error occurred during the data processing in the printing house.
source | <xs:attribute name="companyName" type="xs:string" use="optional"> <xs:annotation> <xs:documentation>The company name of the sender for the printing house. This information is used, if error occurred during the data processing in the printing house. </xs:documentation> </xs:annotation> </xs:attribute>

attribute BundleCommon/Sender/@contactPerson

type | xs:string
properties |
isRef | 0
use | optional
annotation |
documentation
The contact person name of the sender for the printing house. This information is used, if error occurred during the data processing in the printing house.
source | <xs:attribute name="contactPerson" type="xs:string" use="optional"> <xs:annotation> <xs:documentation>The contact person name of the sender for the printing house. This information is used, if error occurred during the data processing in the printing house. </xs:documentation> </xs:annotation> </xs:attribute>

attribute BundleCommon/Sender/@phoneNumber

type | xs:string
properties |
isRef | 0
use | optional
annotation |
documentation
The phone number of the sender for the printing house. This information is used, if error occurred during the data processing in the printing house.
source | <xs:attribute name="phoneNumber" type="xs:string" use="optional"> <xs:annotation> <xs:documentation>The phone number of the sender for the printing house. This information is used, if error occurred during the data processing in the printing house. </xs:documentation> </xs:annotation> </xs:attribute>

attribute BundleCommon/Sender/@email

type | xs:string
properties |
isRef | 0
use | optional
annotation |
documentation
The email address of the sender for the printing house. This information is used, if error occurred during the data processing in the printing house.
source | <xs:attribute name="email" type="xs:string" use="optional"> <xs:annotation> <xs:documentation>The email address of the sender for the printing house. This information is used, if error occurred during the data processing in the printing house. </xs:documentation> </xs:annotation> </xs:attribute>

element BundleCommon/Sender/SenderAddress

diagram |
namespace | urn:itella-letterbundle-v0x4
type | lb:MailAddress
properties |
isRef | 0
minOcc | 0
maxOcc | 1
content | complex
children | lb:Eu1
annotation |
documentation
The sender mail address for the whole bundle.
source | <xs:element name="SenderAddress" type="lb:MailAddress" minOccurs="0"> <xs:annotation> <xs:documentation>The sender mail address for the whole bundle.</xs:documentation> </xs:annotation> </xs:element>

element BundleCommon/StdBundleProcessing

diagram |
namespace | urn:itella-letterbundle-v0x4
properties |
isRef | 0
minOcc | 0
maxOcc | 1
content | complex
attributes |
Name | Type | Use | Default | Fixed | annotation
customerId | derived by: xs:string | required |  |  |
password | derived by: xs:string | required |  |  |
serviceFunction | derived by: xs:string | required |  |  |
electronicArchiving | derived by: xs:string | required |  |  |
letterClass | derived by: xs:string | required |  |  |
envelope | derived by: xs:string | required |  |  |
paper | derived by: xs:string | required |  |  |
fileFormat | derived by: xs:string | optional | 0 |  |
documentation
In PDFeLetter only 0 is allowed.
departmentClassification | xs:boolean | optional | false |  |
archivingApplicationID | derived by: xs:string | optional |  |  |
isDuplex | xs:boolean | optional |  |  |
documentation
Mandatory for PDFeLetter
source | <xs:element name="StdBundleProcessing" minOccurs="0"> <xs:complexType> <xs:attribute name="customerId" use="required"> <xs:simpleType> <xs:restriction base="xs:string"> <xs:length value="6"/> </xs:restriction> </xs:simpleType> </xs:attribute> <xs:attribute name="password" use="required"> <xs:simpleType> <xs:restriction base="xs:string"> <xs:length value="4"/> </xs:restriction> </xs:simpleType> </xs:attribute> <xs:attribute name="serviceFunction" use="required"> <xs:simpleType> <xs:restriction base="xs:string"> <xs:length value="1"/> </xs:restriction> </xs:simpleType> </xs:attribute> <xs:attribute name="electronicArchiving" use="required"> <xs:simpleType> <xs:restriction base="xs:string"> <xs:length value="1"/> </xs:restriction> </xs:simpleType> </xs:attribute> <xs:attribute name="letterClass" use="required"> <xs:simpleType> <xs:restriction base="xs:string"> <xs:length value="1"/> </xs:restriction> </xs:simpleType> </xs:attribute> <xs:attribute name="envelope" use="required"> <xs:simpleType> <xs:restriction base="xs:string"> <xs:length value="1"/> </xs:restriction> </xs:simpleType> </xs:attribute> <xs:attribute name="paper" use="required"> <xs:simpleType> <xs:restriction base="xs:string"> <xs:length value="1"/> </xs:restriction> </xs:simpleType> </xs:attribute> <xs:attribute name="fileFormat" use="optional" default="0"> <xs:annotation> <xs:documentation>In PDFeLetter only 0 is allowed.</xs:documentation> </xs:annotation> <xs:simpleType> <xs:restriction base="xs:string"> <xs:length value="1"/> </xs:restriction> </xs:simpleType> </xs:attribute> <xs:attribute name="departmentClassification" type="xs:boolean" use="optional" default="false"/> <xs:attribute name="archivingApplicationID" use="optional"> <xs:simpleType> <xs:restriction base="xs:string"> <xs:whiteSpace value="preserve"/> <xs:length value="2"/> </xs:restriction> </xs:simpleType> </xs:attribute> <xs:attribute name="isDuplex" type="xs:boolean" use="optional"> <xs:annotation> <xs:documentation>Mandatory for PDFeLetter</xs:documentation> </xs:annotation> </xs:attribute> </xs:complexType> </xs:element>

attribute BundleCommon/StdBundleProcessing/@customerId

type | restriction of xs:string
properties |
isRef | 0
use | required
facets |
length | 6
source | <xs:attribute name="customerId" use="required"> <xs:simpleType> <xs:restriction base="xs:string"> <xs:length value="6"/> </xs:restriction> </xs:simpleType> </xs:attribute>

attribute BundleCommon/StdBundleProcessing/@password

type | restriction of xs:string
properties |
isRef | 0
use | required
facets |
length | 4
source | <xs:attribute name="password" use="required"> <xs:simpleType> <xs:restriction base="xs:string"> <xs:length value="4"/> </xs:restriction> </xs:simpleType> </xs:attribute>

attribute BundleCommon/StdBundleProcessing/@serviceFunction

type | restriction of xs:string
properties |
isRef | 0
use | required
facets |
length | 1
source | <xs:attribute name="serviceFunction" use="required"> <xs:simpleType> <xs:restriction base="xs:string"> <xs:length value="1"/> </xs:restriction> </xs:simpleType> </xs:attribute>

attribute BundleCommon/StdBundleProcessing/@electronicArchiving

type | restriction of xs:string
properties |
isRef | 0
use | required
facets |
length | 1
source | <xs:attribute name="electronicArchiving" use="required"> <xs:simpleType> <xs:restriction base="xs:string"> <xs:length value="1"/> </xs:restriction> </xs:simpleType> </xs:attribute>

attribute BundleCommon/StdBundleProcessing/@letterClass

type | restriction of xs:string
properties |
isRef | 0
use | required
facets |
length | 1
source | <xs:attribute name="letterClass" use="required"> <xs:simpleType> <xs:restriction base="xs:string"> <xs:length value="1"/> </xs:restriction> </xs:simpleType> </xs:attribute>

attribute BundleCommon/StdBundleProcessing/@envelope

type | restriction of xs:string
properties |
isRef | 0
use | required
facets |
length | 1
source | <xs:attribute name="envelope" use="required"> <xs:simpleType> <xs:restriction base="xs:string"> <xs:length value="1"/> </xs:restriction> </xs:simpleType> </xs:attribute>

attribute BundleCommon/StdBundleProcessing/@paper

type | restriction of xs:string
properties |
isRef | 0
use | required
facets |
length | 1
source | <xs:attribute name="paper" use="required"> <xs:simpleType> <xs:restriction base="xs:string"> <xs:length value="1"/> </xs:restriction> </xs:simpleType> </xs:attribute>

attribute BundleCommon/StdBundleProcessing/@fileFormat

type | restriction of xs:string
properties |
isRef | 0
default | 0
use | optional
facets |
length | 1
annotation |
documentation
In PDFeLetter only 0 is allowed.
source | <xs:attribute name="fileFormat" use="optional" default="0"> <xs:annotation> <xs:documentation>In PDFeLetter only 0 is allowed.</xs:documentation> </xs:annotation> <xs:simpleType> <xs:restriction base="xs:string"> <xs:length value="1"/> </xs:restriction> </xs:simpleType> </xs:attribute>

attribute BundleCommon/StdBundleProcessing/@departmentClassification

type | xs:boolean
properties |
isRef | 0
default | false
use | optional
source | <xs:attribute name="departmentClassification" type="xs:boolean" use="optional" default="false"/>

attribute BundleCommon/StdBundleProcessing/@archivingApplicationID

type | restriction of xs:string
properties |
isRef | 0
use | optional
facets |
length | 2
whiteSpace | preserve
source | <xs:attribute name="archivingApplicationID" use="optional"> <xs:simpleType> <xs:restriction base="xs:string"> <xs:whiteSpace value="preserve"/> <xs:length value="2"/> </xs:restriction> </xs:simpleType> </xs:attribute>

attribute BundleCommon/StdBundleProcessing/@isDuplex

type | xs:boolean
properties |
isRef | 0
use | optional
annotation |
documentation
Mandatory for PDFeLetter
source | <xs:attribute name="isDuplex" type="xs:boolean" use="optional"> <xs:annotation> <xs:documentation>Mandatory for PDFeLetter</xs:documentation> </xs:annotation> </xs:attribute>

element BundleCommon/BundleProcessingSet

diagram |
namespace | urn:itella-letterbundle-v0x4
properties |
isRef | 0
minOcc | 0
maxOcc | unbounded
content | complex
children | lb:Processing
attributes |
Name | Type | Use | Default | Fixed | annotation
id | xs:string | required |  |  |
documentation
The ID of the the processing set
annotation |
documentation
These processing settings are for special cases, when the StdLetterProcessing element has not enough information. The bundleProcessingSet defines what processing elements are required in the BUNDLE LEVEL. The printing house defines what processingSetIds are available.
source | <xs:element name="BundleProcessingSet" minOccurs="0" maxOccurs="unbounded"> <xs:annotation> <xs:documentation>These processing settings are for special cases, when the StdLetterProcessing element has not enough information. The bundleProcessingSet defines what processing elements are required in the BUNDLE LEVEL. The printing house defines what processingSetIds are available.</xs:documentation> </xs:annotation> <xs:complexType> <xs:sequence> <xs:element ref="lb:Processing" minOccurs="0" maxOccurs="unbounded"> <xs:annotation> <xs:documentation>The printing house defines what processing elements are required for this printing works in the bundle level or in the letter level.</xs:documentation> </xs:annotation> </xs:element> </xs:sequence> <xs:attribute name="id" type="xs:string" use="required"> <xs:annotation> <xs:documentation>The ID of the the processing set</xs:documentation> </xs:annotation> </xs:attribute> </xs:complexType> </xs:element>

attribute BundleCommon/BundleProcessingSet/@id

type | xs:string
properties |
isRef | 0
use | required
annotation |
documentation
The ID of the the processing set
source | <xs:attribute name="id" type="xs:string" use="required"> <xs:annotation> <xs:documentation>The ID of the the processing set</xs:documentation> </xs:annotation> </xs:attribute>

element BundleCommon/DeliveryChannelControl

diagram |
namespace | urn:itella-letterbundle-v0x4
properties |
isRef | 0
minOcc | 0
maxOcc | 1
content | complex
children | lb:RestrictMatchingForElectronicDelivery
attributes |
Name | Type | Use | Default | Fixed | annotation
denyElectronicCopyDelivery | xs:boolean | optional | false |  |
documentation
If the value is true then do NOT SEND COPY into the electronic channel. Netpost is for example an electronic delivery channel for letters.
denyElectronicOnlyDelivery | xs:boolean | optional | false |  |
documentation
If the value is true then do NOT send the letter using ONLY electronic channel. Netpost is for example an electronic delivery channel for letters. If the value is false (default) the letter may delivered using ONLY electronic channel if the recipient of the letter is matched with the user in the electronic channel.
source | <xs:element name="DeliveryChannelControl" minOccurs="0"> <xs:complexType> <xs:sequence> <xs:element name="RestrictMatchingForElectronicDelivery" minOccurs="0"> <xs:annotation> <xs:documentation>If the letter will be delivered in electronic channel, this element controls what data can be used for matching the recipient. The default is that anything can use. If this element exist, only attributes that has true value, can be used. Notice: The used electronic delivery channel may not implement all these recipient matching possibilities. Example of usage: If the sender wants that only SSN is used for matching the recipient then set the recipientSSN attribute to True.</xs:documentation> </xs:annotation> <xs:complexType> <xs:attribute name="recipientSSN" type="xs:boolean" use="optional" default="false"> <xs:annotation> <xs:documentation>The social security number (HETU in Finnish) of the recipient. </xs:documentation> </xs:annotation> </xs:attribute> <xs:attribute name="recipientPhoneNumber" type="xs:boolean" use="optional" default="false"> <xs:annotation> <xs:documentation>The telephone number of the recipient of the letter.</xs:documentation> </xs:annotation> </xs:attribute> <xs:attribute name="recipientEmailAddress" type="xs:boolean" use="optional" default="false"> <xs:annotation> <xs:documentation>The email of the recipient. </xs:documentation> </xs:annotation> </xs:attribute> <xs:attribute name="recipientCustomerCode" type="xs:boolean" use="optional" default="false"> <xs:annotation> <xs:documentation>The customer code of the recipient.</xs:documentation> </xs:annotation> </xs:attribute> <xs:attribute name="recipientIBAN" type="xs:boolean" use="optional" default="false"> <xs:annotation> <xs:documentation>The IBAN (International Bank Account Number) of the recipient.</xs:documentation> </xs:annotation> </xs:attribute> <xs:attribute name="recipientAddress" type="xs:boolean" use="optional" default="false"> <xs:annotation> <xs:documentation>The recipient mail address</xs:documentation> </xs:annotation> </xs:attribute> <xs:attribute name="recipientElectronicAddress" type="xs:boolean" use="optional" default="false"> <xs:annotation> <xs:documentation>Electronic addresses of the recipient.</xs:documentation> </xs:annotation> </xs:attribute> <xs:attribute name="recipientOvtID" type="xs:boolean" use="optional" default="false"> <xs:annotation> <xs:documentation>Recipient OVT ID</xs:documentation> </xs:annotation> </xs:attribute> </xs:complexType> </xs:element> </xs:sequence> <xs:attribute name="denyElectronicCopyDelivery" type="xs:boolean" use="optional" default="false"> <xs:annotation> <xs:documentation>If the value is true then do NOT SEND COPY into the electronic channel. Netpost is for example an electronic delivery channel for letters.</xs:documentation> </xs:annotation> </xs:attribute> <xs:attribute name="denyElectronicOnlyDelivery" type="xs:boolean" use="optional" default="false"> <xs:annotation> <xs:documentation>If the value is true then do NOT send the letter using ONLY electronic channel. Netpost is for example an electronic delivery channel for letters. If the value is false (default) the letter may delivered using ONLY electronic channel if the recipient of the letter is matched with the user in the electronic channel.</xs:documentation> </xs:annotation> </xs:attribute> </xs:complexType> </xs:element>

attribute BundleCommon/DeliveryChannelControl/@denyElectronicCopyDelivery

type | xs:boolean
properties |
isRef | 0
default | false
use | optional
annotation |
documentation
If the value is true then do NOT SEND COPY into the electronic channel. Netpost is for example an electronic delivery channel for letters.
source | <xs:attribute name="denyElectronicCopyDelivery" type="xs:boolean" use="optional" default="false"> <xs:annotation> <xs:documentation>If the value is true then do NOT SEND COPY into the electronic channel. Netpost is for example an electronic delivery channel for letters.</xs:documentation> </xs:annotation> </xs:attribute>

attribute BundleCommon/DeliveryChannelControl/@denyElectronicOnlyDelivery

type | xs:boolean
properties |
isRef | 0
default | false
use | optional
annotation |
documentation
If the value is true then do NOT send the letter using ONLY electronic channel. Netpost is for example an electronic delivery channel for letters. If the value is false (default) the letter may delivered using ONLY electronic channel if the recipient of the letter is matched with the user in the electronic channel.
source | <xs:attribute name="denyElectronicOnlyDelivery" type="xs:boolean" use="optional" default="false"> <xs:annotation> <xs:documentation>If the value is true then do NOT send the letter using ONLY electronic channel. Netpost is for example an electronic delivery channel for letters. If the value is false (default) the letter may delivered using ONLY electronic channel if the recipient of the letter is matched with the user in the electronic channel.</xs:documentation> </xs:annotation> </xs:attribute>

element BundleCommon/DeliveryChannelControl/RestrictMatchingForElectronicDelivery

diagram |
namespace | urn:itella-letterbundle-v0x4
properties |
isRef | 0
minOcc | 0
maxOcc | 1
content | complex
attributes |
Name | Type | Use | Default | Fixed | annotation
recipientSSN | xs:boolean | optional | false |  |
documentation
The social security number (HETU in Finnish) of the recipient.
recipientPhoneNumber | xs:boolean | optional | false |  |
documentation
The telephone number of the recipient of the letter.
recipientEmailAddress | xs:boolean | optional | false |  |
documentation
The email of the recipient.
recipientCustomerCode | xs:boolean | optional | false |  |
documentation
The customer code of the recipient.
recipientIBAN | xs:boolean | optional | false |  |
documentation
The IBAN (International Bank Account Number) of the recipient.
recipientAddress | xs:boolean | optional | false |  |
documentation
The recipient mail address
recipientElectronicAddress | xs:boolean | optional | false |  |
documentation
Electronic addresses of the recipient.
recipientOvtID | xs:boolean | optional | false |  |
documentation
Recipient OVT ID
annotation |
documentation
If the letter will be delivered in electronic channel, this element controls what data can be used for matching the recipient. The default is that anything can use. If this element exist, only attributes that has true value, can be used. Notice: The used electronic delivery channel may not implement all these recipient matching possibilities. Example of usage: If the sender wants that only SSN is used for matching the recipient then set the recipientSSN attribute to True.
source | <xs:element name="RestrictMatchingForElectronicDelivery" minOccurs="0"> <xs:annotation> <xs:documentation>If the letter will be delivered in electronic channel, this element controls what data can be used for matching the recipient. The default is that anything can use. If this element exist, only attributes that has true value, can be used. Notice: The used electronic delivery channel may not implement all these recipient matching possibilities. Example of usage: If the sender wants that only SSN is used for matching the recipient then set the recipientSSN attribute to True.</xs:documentation> </xs:annotation> <xs:complexType> <xs:attribute name="recipientSSN" type="xs:boolean" use="optional" default="false"> <xs:annotation> <xs:documentation>The social security number (HETU in Finnish) of the recipient. </xs:documentation> </xs:annotation> </xs:attribute> <xs:attribute name="recipientPhoneNumber" type="xs:boolean" use="optional" default="false"> <xs:annotation> <xs:documentation>The telephone number of the recipient of the letter.</xs:documentation> </xs:annotation> </xs:attribute> <xs:attribute name="recipientEmailAddress" type="xs:boolean" use="optional" default="false"> <xs:annotation> <xs:documentation>The email of the recipient. </xs:documentation> </xs:annotation> </xs:attribute> <xs:attribute name="recipientCustomerCode" type="xs:boolean" use="optional" default="false"> <xs:annotation> <xs:documentation>The customer code of the recipient.</xs:documentation> </xs:annotation> </xs:attribute> <xs:attribute name="recipientIBAN" type="xs:boolean" use="optional" default="false"> <xs:annotation> <xs:documentation>The IBAN (International Bank Account Number) of the recipient.</xs:documentation> </xs:annotation> </xs:attribute> <xs:attribute name="recipientAddress" type="xs:boolean" use="optional" default="false"> <xs:annotation> <xs:documentation>The recipient mail address</xs:documentation> </xs:annotation> </xs:attribute> <xs:attribute name="recipientElectronicAddress" type="xs:boolean" use="optional" default="false"> <xs:annotation> <xs:documentation>Electronic addresses of the recipient.</xs:documentation> </xs:annotation> </xs:attribute> <xs:attribute name="recipientOvtID" type="xs:boolean" use="optional" default="false"> <xs:annotation> <xs:documentation>Recipient OVT ID</xs:documentation> </xs:annotation> </xs:attribute> </xs:complexType> </xs:element>

attribute BundleCommon/DeliveryChannelControl/RestrictMatchingForElectronicDelivery/@recipientSSN

type | xs:boolean
properties |
isRef | 0
default | false
use | optional
annotation |
documentation
The social security number (HETU in Finnish) of the recipient.
source | <xs:attribute name="recipientSSN" type="xs:boolean" use="optional" default="false"> <xs:annotation> <xs:documentation>The social security number (HETU in Finnish) of the recipient. </xs:documentation> </xs:annotation> </xs:attribute>

attribute BundleCommon/DeliveryChannelControl/RestrictMatchingForElectronicDelivery/@recipientPhoneNumber

type | xs:boolean
properties |
isRef | 0
default | false
use | optional
annotation |
documentation
The telephone number of the recipient of the letter.
source | <xs:attribute name="recipientPhoneNumber" type="xs:boolean" use="optional" default="false"> <xs:annotation> <xs:documentation>The telephone number of the recipient of the letter.</xs:documentation> </xs:annotation> </xs:attribute>

attribute BundleCommon/DeliveryChannelControl/RestrictMatchingForElectronicDelivery/@recipientEmailAddress

type | xs:boolean
properties |
isRef | 0
default | false
use | optional
annotation |
documentation
The email of the recipient.
source | <xs:attribute name="recipientEmailAddress" type="xs:boolean" use="optional" default="false"> <xs:annotation> <xs:documentation>The email of the recipient. </xs:documentation> </xs:annotation> </xs:attribute>

attribute BundleCommon/DeliveryChannelControl/RestrictMatchingForElectronicDelivery/@recipientCustomerCode

type | xs:boolean
properties |
isRef | 0
default | false
use | optional
annotation |
documentation
The customer code of the recipient.
source | <xs:attribute name="recipientCustomerCode" type="xs:boolean" use="optional" default="false"> <xs:annotation> <xs:documentation>The customer code of the recipient.</xs:documentation> </xs:annotation> </xs:attribute>

attribute BundleCommon/DeliveryChannelControl/RestrictMatchingForElectronicDelivery/@recipientIBAN

type | xs:boolean
properties |
isRef | 0
default | false
use | optional
annotation |
documentation
The IBAN (International Bank Account Number) of the recipient.
source | <xs:attribute name="recipientIBAN" type="xs:boolean" use="optional" default="false"> <xs:annotation> <xs:documentation>The IBAN (International Bank Account Number) of the recipient.</xs:documentation> </xs:annotation> </xs:attribute>

attribute BundleCommon/DeliveryChannelControl/RestrictMatchingForElectronicDelivery/@recipientAddress

type | xs:boolean
properties |
isRef | 0
default | false
use | optional
annotation |
documentation
The recipient mail address
source | <xs:attribute name="recipientAddress" type="xs:boolean" use="optional" default="false"> <xs:annotation> <xs:documentation>The recipient mail address</xs:documentation> </xs:annotation> </xs:attribute>

attribute BundleCommon/DeliveryChannelControl/RestrictMatchingForElectronicDelivery/@recipientElectronicAddress

type | xs:boolean
properties |
isRef | 0
default | false
use | optional
annotation |
documentation
Electronic addresses of the recipient.
source | <xs:attribute name="recipientElectronicAddress" type="xs:boolean" use="optional" default="false"> <xs:annotation> <xs:documentation>Electronic addresses of the recipient.</xs:documentation> </xs:annotation> </xs:attribute>

attribute BundleCommon/DeliveryChannelControl/RestrictMatchingForElectronicDelivery/@recipientOvtID

type | xs:boolean
properties |
isRef | 0
default | false
use | optional
annotation |
documentation
Recipient OVT ID
source | <xs:attribute name="recipientOvtID" type="xs:boolean" use="optional" default="false"> <xs:annotation> <xs:documentation>Recipient OVT ID</xs:documentation> </xs:annotation> </xs:attribute>

element BundleCommon/ExternalFile

diagram |
namespace | urn:itella-letterbundle-v0x4
properties |
isRef | 0
minOcc | 0
maxOcc | 1
content | complex
children | lb:CheckSum
attributes |
Name | Type | Use | Default | Fixed | annotation
format | derived by: xs:string | required |  |  |
documentation
The format of the file
fileName | derived by: xs:string | required |  |  |
documentation
The name of the file without the path. The LetterBundle xml file and the data file must be located in the same directory.
senderFileId | xs:string | optional |  |  |
documentation
Sender's ID for the DATA file.
fileId | xs:string | optional |  |  |
documentation
Printing house's ID for the DATA file.
annotation |
documentation
If letter data is in separate file, then this element contains the file data. If this is set, then each letter must have the letter location data in the file.
source | <xs:element name="ExternalFile" minOccurs="0"> <xs:annotation> <xs:documentation>If letter data is in separate file, then this element contains the file data. If this is set, then each letter must have the letter location data in the file.</xs:documentation> </xs:annotation> <xs:complexType> <xs:sequence> <xs:element name="CheckSum" minOccurs="0"> <xs:annotation> <xs:documentation>The check sum of the data file.</xs:documentation> </xs:annotation> <xs:complexType> <xs:attribute name="type" use="required"> <xs:simpleType> <xs:restriction base="xs:string"> <xs:whiteSpace value="collapse"/> <xs:enumeration value="NONE"/> <xs:enumeration value="MD5"/> </xs:restriction> </xs:simpleType> </xs:attribute> <xs:attribute name="value" use="required"> <xs:simpleType> <xs:restriction base="xs:string"> <xs:whiteSpace value="preserve"/> </xs:restriction> </xs:simpleType> </xs:attribute> </xs:complexType> </xs:element> </xs:sequence> <xs:attribute name="format" use="required"> <xs:annotation> <xs:documentation>The format of the file</xs:documentation> </xs:annotation> <xs:simpleType> <xs:restriction base="xs:string"> <xs:enumeration value="PDF"/> </xs:restriction> </xs:simpleType> </xs:attribute> <xs:attribute name="fileName" use="required"> <xs:annotation> <xs:documentation>The name of the file without the path. The LetterBundle xml file and the data file must be located in the same directory.</xs:documentation> </xs:annotation> <xs:simpleType> <xs:restriction base="xs:string"> <xs:whiteSpace value="preserve"/> <xs:pattern value="[-a-zA-ZåäöÅÄÖ0-9_. ]*"/> </xs:restriction> </xs:simpleType> </xs:attribute> <xs:attribute name="senderFileId" type="xs:string" use="optional"> <xs:annotation> <xs:documentation>Sender's ID for the DATA file.</xs:documentation> </xs:annotation> </xs:attribute> <xs:attribute name="fileId" type="xs:string" use="optional"> <xs:annotation> <xs:documentation>Printing house's ID for the DATA file.</xs:documentation> </xs:annotation> </xs:attribute> </xs:complexType> </xs:element>

attribute BundleCommon/ExternalFile/@format

type | restriction of xs:string
properties |
isRef | 0
use | required
facets |
enumeration | PDF
annotation |
documentation
The format of the file
source | <xs:attribute name="format" use="required"> <xs:annotation> <xs:documentation>The format of the file</xs:documentation> </xs:annotation> <xs:simpleType> <xs:restriction base="xs:string"> <xs:enumeration value="PDF"/> </xs:restriction> </xs:simpleType> </xs:attribute>

attribute BundleCommon/ExternalFile/@fileName

type | restriction of xs:string
properties |
isRef | 0
use | required
facets |
whiteSpace | preserve
pattern | [-a-zA-ZåäöÅÄÖ0-9_. ]*
annotation |
documentation
The name of the file without the path. The LetterBundle xml file and the data file must be located in the same directory.
source | <xs:attribute name="fileName" use="required"> <xs:annotation> <xs:documentation>The name of the file without the path. The LetterBundle xml file and the data file must be located in the same directory.</xs:documentation> </xs:annotation> <xs:simpleType> <xs:restriction base="xs:string"> <xs:whiteSpace value="preserve"/> <xs:pattern value="[-a-zA-ZåäöÅÄÖ0-9_. ]*"/> </xs:restriction> </xs:simpleType> </xs:attribute>

attribute BundleCommon/ExternalFile/@senderFileId

type | xs:string
properties |
isRef | 0
use | optional
annotation |
documentation
Sender's ID for the DATA file.
source | <xs:attribute name="senderFileId" type="xs:string" use="optional"> <xs:annotation> <xs:documentation>Sender's ID for the DATA file.</xs:documentation> </xs:annotation> </xs:attribute>

attribute BundleCommon/ExternalFile/@fileId

type | xs:string
properties |
isRef | 0
use | optional
annotation |
documentation
Printing house's ID for the DATA file.
source | <xs:attribute name="fileId" type="xs:string" use="optional"> <xs:annotation> <xs:documentation>Printing house's ID for the DATA file.</xs:documentation> </xs:annotation> </xs:attribute>

element BundleCommon/ExternalFile/CheckSum

diagram |
namespace | urn:itella-letterbundle-v0x4
properties |
isRef | 0
minOcc | 0
maxOcc | 1
content | complex
attributes |
Name | Type | Use | Default | Fixed | annotation
type | derived by: xs:string | required |  |  |
value | derived by: xs:string | required |  |  |
annotation |
documentation
The check sum of the data file.
source | <xs:element name="CheckSum" minOccurs="0"> <xs:annotation> <xs:documentation>The check sum of the data file.</xs:documentation> </xs:annotation> <xs:complexType> <xs:attribute name="type" use="required"> <xs:simpleType> <xs:restriction base="xs:string"> <xs:whiteSpace value="collapse"/> <xs:enumeration value="NONE"/> <xs:enumeration value="MD5"/> </xs:restriction> </xs:simpleType> </xs:attribute> <xs:attribute name="value" use="required"> <xs:simpleType> <xs:restriction base="xs:string"> <xs:whiteSpace value="preserve"/> </xs:restriction> </xs:simpleType> </xs:attribute> </xs:complexType> </xs:element>

attribute BundleCommon/ExternalFile/CheckSum/@type

type | restriction of xs:string
properties |
isRef | 0
use | required
facets |
whiteSpace | collapse
enumeration | NONE
enumeration | MD5
source | <xs:attribute name="type" use="required"> <xs:simpleType> <xs:restriction base="xs:string"> <xs:whiteSpace value="collapse"/> <xs:enumeration value="NONE"/> <xs:enumeration value="MD5"/> </xs:restriction> </xs:simpleType> </xs:attribute>

attribute BundleCommon/ExternalFile/CheckSum/@value

type | restriction of xs:string
properties |
isRef | 0
use | required
facets |
whiteSpace | preserve
source | <xs:attribute name="value" use="required"> <xs:simpleType> <xs:restriction base="xs:string"> <xs:whiteSpace value="preserve"/> </xs:restriction> </xs:simpleType> </xs:attribute>

element Letter

diagram |
namespace | urn:itella-letterbundle-v0x4
properties |
content | complex
children | lb:LetterMeta
used by |
element | Bundle
attributes |
Name | Type | Use | Default | Fixed | annotation
senderLetterId |  |  |  |  |
documentation
Sender's ID for the letter.
letterId | xs:string | optional |  |  |
documentation
Printing house's ID for the letter.
annotation |
documentation
One letter
source | <xs:element name="Letter"> <xs:annotation> <xs:documentation>One letter</xs:documentation> </xs:annotation> <xs:complexType> <xs:sequence> <xs:element ref="lb:LetterMeta"> <xs:annotation> <xs:documentation>Meta data of on letter. </xs:documentation> </xs:annotation> </xs:element> </xs:sequence> <xs:attribute name="senderLetterId"> <xs:annotation> <xs:documentation>Sender's ID for the letter.</xs:documentation> </xs:annotation> </xs:attribute> <xs:attribute name="letterId" type="xs:string" use="optional"> <xs:annotation> <xs:documentation>Printing house's ID for the letter.</xs:documentation> </xs:annotation> </xs:attribute> </xs:complexType> </xs:element>

attribute Letter/@senderLetterId

properties |
isRef | 0
annotation |
documentation
Sender's ID for the letter.
source | <xs:attribute name="senderLetterId"> <xs:annotation> <xs:documentation>Sender's ID for the letter.</xs:documentation> </xs:annotation> </xs:attribute>

attribute Letter/@letterId

type | xs:string
properties |
isRef | 0
use | optional
annotation |
documentation
Printing house's ID for the letter.
source | <xs:attribute name="letterId" type="xs:string" use="optional"> <xs:annotation> <xs:documentation>Printing house's ID for the letter.</xs:documentation> </xs:annotation> </xs:attribute>

element LetterBundle

diagram |
namespace | urn:itella-letterbundle-v0x4
properties |
content | complex
children | lb:Bundle
attributes |
Name | Type | Use | Default | Fixed | annotation
schemaVersion | xs:string | required |  | v0x4 |
documentation
The schema version that the xml file is using.
senderFileId | xs:string | optional |  |  |
documentation
Sender's ID for the file.
fileId | xs:string | optional |  |  |
documentation
Printing house's ID for the file.
annotation |
documentation
The root element. Contains letter collections that will be sent to the printing house.
source | <xs:element name="LetterBundle"> <xs:annotation> <xs:documentation>The root element. Contains letter collections that will be sent to the printing house.</xs:documentation> </xs:annotation> <xs:complexType> <xs:sequence> <xs:element ref="lb:Bundle"> <xs:annotation> <xs:documentation>One collection of letters</xs:documentation> </xs:annotation> </xs:element> </xs:sequence> <xs:attribute name="schemaVersion" type="xs:string" use="required" fixed="v0x4"> <xs:annotation> <xs:documentation>The schema version that the xml file is using.</xs:documentation> </xs:annotation> </xs:attribute> <xs:attribute name="senderFileId" type="xs:string" use="optional"> <xs:annotation> <xs:documentation>Sender's ID for the file.</xs:documentation> </xs:annotation> </xs:attribute> <xs:attribute name="fileId" type="xs:string" use="optional"> <xs:annotation> <xs:documentation>Printing house's ID for the file.</xs:documentation> </xs:annotation> </xs:attribute> </xs:complexType> </xs:element>

attribute LetterBundle/@schemaVersion

type | xs:string
properties |
isRef | 0
fixed | v0x4
use | required
annotation |
documentation
The schema version that the xml file is using.
source | <xs:attribute name="schemaVersion" type="xs:string" use="required" fixed="v0x4"> <xs:annotation> <xs:documentation>The schema version that the xml file is using.</xs:documentation> </xs:annotation> </xs:attribute>

attribute LetterBundle/@senderFileId

type | xs:string
properties |
isRef | 0
use | optional
annotation |
documentation
Sender's ID for the file.
source | <xs:attribute name="senderFileId" type="xs:string" use="optional"> <xs:annotation> <xs:documentation>Sender's ID for the file.</xs:documentation> </xs:annotation> </xs:attribute>

attribute LetterBundle/@fileId

type | xs:string
properties |
isRef | 0
use | optional
annotation |
documentation
Printing house's ID for the file.
source | <xs:attribute name="fileId" type="xs:string" use="optional"> <xs:annotation> <xs:documentation>Printing house's ID for the file.</xs:documentation> </xs:annotation> </xs:attribute>

element LetterMeta

diagram |
namespace | urn:itella-letterbundle-v0x4
properties |
content | complex
children | lb:Location lb:StdLetterProcessing lb:LetterProcessingSet lb:Recipient lb:Sender lb:LetterDetails
used by |
element | Letter
annotation |
documentation
Meta data of on letter
source | <xs:element name="LetterMeta"> <xs:annotation> <xs:documentation>Meta data of on letter</xs:documentation> </xs:annotation> <xs:complexType> <xs:sequence> <xs:element name="Location"> <xs:annotation> <xs:documentation>This contains the location information of the letter in the file.</xs:documentation> </xs:annotation> <xs:complexType> <xs:attribute name="startPage" use="required"> <xs:annotation> <xs:documentation>The start page of the letter in the separate data file. The first page in the bundle is 1 (one).</xs:documentation> </xs:annotation> <xs:simpleType> <xs:restriction base="xs:int"> <xs:minInclusive value="1"/> <xs:whiteSpace value="collapse"/> </xs:restriction> </xs:simpleType> </xs:attribute> <xs:attribute name="pages" type="xs:int" use="required"> <xs:annotation> <xs:documentation>Page count of the letter in the separate data file.</xs:documentation> </xs:annotation> </xs:attribute> </xs:complexType> </xs:element> <xs:element name="StdLetterProcessing" minOccurs="0"> <xs:complexType> <xs:attribute name="copies" use="optional" default="1"> <xs:annotation> <xs:documentation>Not in use in PDFeLetter</xs:documentation> </xs:annotation> <xs:simpleType> <xs:restriction base="xs:int"> <xs:minInclusive value="1"/> <xs:maxInclusive value="9"/> </xs:restriction> </xs:simpleType> </xs:attribute> <xs:attribute name="departmentClassificationCode" use="optional"> <xs:simpleType> <xs:restriction base="xs:string"> <xs:minLength value="1"/> <xs:maxLength value="5"/> <xs:whiteSpace value="preserve"/> </xs:restriction> </xs:simpleType> </xs:attribute> </xs:complexType> </xs:element> <xs:element name="LetterProcessingSet" minOccurs="0" maxOccurs="unbounded"> <xs:annotation> <xs:documentation>These processing settings are for special cases, when the StdLetterProcessing element has not enough information. The letterProcessingSet defines what processing elements are required in the LETTER LEVEL. The printing house defines what processingSetIds are available.</xs:documentation> </xs:annotation> <xs:complexType> <xs:sequence> <xs:element ref="lb:Processing" minOccurs="0" maxOccurs="unbounded"/> </xs:sequence> <xs:attribute name="id" type="xs:string" use="required"> <xs:annotation> <xs:documentation>The id of the processing set</xs:documentation> </xs:annotation> </xs:attribute> </xs:complexType> </xs:element> <xs:element name="Recipient"> <xs:complexType> <xs:sequence> <xs:element name="Address" type="lb:MailAddress"> <xs:annotation> <xs:documentation>The recipient mail address</xs:documentation> </xs:annotation> </xs:element> <xs:element name="PreferredElectronicAddress" type="lb:ElectronicAddressType" minOccurs="0"> <xs:annotation> <xs:documentation>The preferred electrocic address of the recipient. This is used as preferred address and channel if the electronic delivery is allowed. PreferedElectronicAddress is used before ElectronicAddresses for the electronic delivery.</xs:documentation> </xs:annotation> </xs:element> <xs:element name="ElectronicAddress" type="lb:ElectronicAddressType" minOccurs="0" maxOccurs="unbounded"> <xs:annotation> <xs:documentation>Electronic addresses of the recipient. These addresses are used if the electronic delivery is allowed. If the PreferedElectronicAddress element exists then it is used before ElectronicAddresses element for the electronic delivery.</xs:documentation> </xs:annotation> </xs:element> </xs:sequence> <xs:attribute name="SSN" type="xs:string" use="optional"> <xs:annotation> <xs:documentation>The social security number (HETU in Finnish) of the recipient. This is used to identify the recipient in the electronic delivery ( First level match).</xs:documentation> </xs:annotation> </xs:attribute> <xs:attribute name="phoneNumber" type="xs:string" use="optional"> <xs:annotation> <xs:documentation>The telephone number of the recipient of the letter. This is used to identify the recipient in the electronic delivery (second level match).</xs:documentation> </xs:annotation> </xs:attribute> <xs:attribute name="emailAddress" type="xs:string" use="optional"> <xs:annotation> <xs:documentation>The email of the recipient. This data is used in the additional electronic delivery services (second level match).</xs:documentation> </xs:annotation> </xs:attribute> <xs:attribute name="customerCode" type="xs:string" use="optional"> <xs:annotation> <xs:documentation>The customer code of the recipient. This data is used in the additional electronic delivery services.</xs:documentation> </xs:annotation> </xs:attribute> <xs:attribute name="IBAN" type="xs:string" use="optional"> <xs:annotation> <xs:documentation>The IBAN (International Bank Account Number) of the recipient. This data is used in the additional electronic delivery services (second level match).</xs:documentation> </xs:annotation> </xs:attribute> <xs:attribute name="ovtID"> <xs:annotation> <xs:documentation>String-encoded unique OVT ID (SFS 5748 ) of the recipient company. The Finnish OVT ID can be build from the Finnish Y code (Y-tunnus) for companies. Example: Y-code = 1234567-8 --> OVT ID = 003712345678</xs:documentation> </xs:annotation> <xs:simpleType> <xs:restriction base="xs:string"/> </xs:simpleType> </xs:attribute> </xs:complexType> </xs:element> <xs:element name="Sender" minOccurs="0"> <xs:annotation> <xs:documentation>The sender of the letter for the recipient. This data is used in the electronic delivery services.</xs:documentation> </xs:annotation> <xs:complexType> <xs:sequence> <xs:element name="name" type="lb:TextWithLanguageType" minOccurs="0" maxOccurs="unbounded"> <xs:annotation> <xs:documentation>The sender name of the letter for the recipient. This name is shown in the electronic delivery. If the sender has same name in different languages do not set the language attribute.</xs:documentation> </xs:annotation> </xs:element> <xs:element name="Address" type="lb:MailAddress" minOccurs="0"> <xs:annotation> <xs:documentation>The mail address of letter sender. </xs:documentation> </xs:annotation> </xs:element> </xs:sequence> <xs:attribute name="ovtID"> <xs:annotation> <xs:documentation>String-encoded unique OVT ID (SFS 5748 ) of the original letter sender for the recipient. This is used to identify the sender in the electronic delivery. It is highly recomended to include this attribute in the data. The Finnish OVT ID can be build from the Finnish Y code (Y-tunnus) for companies. Example: Y-code = 1234567-8 --> OVT ID = 003712345678</xs:documentation> </xs:annotation> <xs:simpleType> <xs:restriction base="xs:string"/> </xs:simpleType> </xs:attribute> <xs:attribute name="email" type="xs:string" use="optional"> <xs:annotation> <xs:documentation>The email address of the sender of the letter for the recipient. </xs:documentation> </xs:annotation> </xs:attribute> <xs:attribute name="webSite" type="xs:string" use="optional"> <xs:annotation> <xs:documentation>The webSite of the sender of the letter for the recipient. </xs:documentation> </xs:annotation> </xs:attribute> <xs:attribute name="phoneNumber" type="xs:string" use="optional"> <xs:annotation> <xs:documentation>The phone number for the customer service of the sender of this letter.</xs:documentation> </xs:annotation> </xs:attribute> </xs:complexType> </xs:element> <xs:element name="LetterDetails" minOccurs="0"> <xs:annotation> <xs:documentation>This data is used in the electronic delivery services.</xs:documentation> </xs:annotation> <xs:complexType> <xs:sequence> <xs:element name="Subject" type="lb:TextWithLanguageType" minOccurs="0" maxOccurs="unbounded"> <xs:annotation> <xs:documentation>The subject of the letter. This is used in the electronic delivery of the letter.</xs:documentation> </xs:annotation> </xs:element> <xs:element name="LetterContentType" minOccurs="0"> <xs:annotation> <xs:documentation>The type of the letter content. This is usesd in the electronic delivery.</xs:documentation> </xs:annotation> <xs:complexType> <xs:attribute name="invoice" type="xs:boolean" use="optional" default="false"> <xs:annotation> <xs:documentation>An invoice from a seller to a buyer.</xs:documentation> </xs:annotation> </xs:attribute> <xs:attribute name="wageSlip" type="xs:boolean" use="optional" default="false"> <xs:annotation> <xs:documentation>A wage slip from an employer to an employee.</xs:documentation> </xs:annotation> </xs:attribute> <xs:attribute name="arrivalNotice" type="xs:boolean" use="optional" default="false"> <xs:annotation> <xs:documentation>Arrival notice of registered mail or packet.</xs:documentation> </xs:annotation> </xs:attribute> <xs:attribute name="healthCare" type="xs:boolean" use="optional" default="false"> <xs:annotation> <xs:documentation>A healthcare related message, such as referral or call.</xs:documentation> </xs:annotation> </xs:attribute> <xs:attribute name="reminder" type="xs:boolean" use="optional" default="false"> <xs:annotation> <xs:documentation>Examples: The book from library is late or payment is late.</xs:documentation> </xs:annotation> </xs:attribute> <xs:attribute name="announcement" type="xs:boolean" use="optional" default="false"/> </xs:complexType> </xs:element> <xs:element name="BankTransfer" minOccurs="0" maxOccurs="unbounded"> <xs:annotation> <xs:documentation>A bank transfer contains the names of the payer and payee, the total amount to pay, the issue and due dates, reference number, and a virtual bank bar code. This is used in the electronic delivery of the letter.</xs:documentation> </xs:annotation> <xs:complexType> <xs:attribute name="bankBarcode" type="xs:string" use="required"> <xs:annotation> <xs:documentation>The virtual bank barcode of the bank transfer. The virtual bank barcode is an empty string in case the type of the bank transfer is DIRECTDEBIT. In Finland this code has 54 numbers (0-9).</xs:documentation> </xs:annotation> </xs:attribute> <xs:attribute name="referenceNumber" type="xs:string" use="optional"> <xs:annotation> <xs:documentation>The reference number of the bank transfer.</xs:documentation> </xs:annotation> </xs:attribute> <xs:attribute name="dueDate" type="xs:date" use="optional"> <xs:annotation> <xs:documentation>The due date of the bank transfer, with lexical representation YYYY-MM-DD as defined by ISO 8061.</xs:documentation> </xs:annotation> </xs:attribute> <xs:attribute name="issueDate" type="xs:date" use="optional"> <xs:annotation> <xs:documentation>The date of issuing the bank transfer form, with lexical representation YYYY-MM-DD as defined by ISO 8061.</xs:documentation> </xs:annotation> </xs:attribute> <xs:attribute name="totalAmount" type="xs:decimal" use="optional"> <xs:annotation> <xs:documentation>The total amount to pay in the defined currency.</xs:documentation> </xs:annotation> </xs:attribute> <xs:attribute name="totalAmountString" type="xs:string" use="optional"> <xs:annotation> <xs:documentation>This amount is displayed for the recipient. For example in case the type of the bank transfer is DIRECTINVOICE the total amount string is '****'.</xs:documentation> </xs:annotation> </xs:attribute> <xs:attribute name="currency" use="optional" default="EUR"> <xs:annotation> <xs:documentation>The three-character currency code as defined by ISO 4217.</xs:documentation> </xs:annotation> <xs:simpleType> <xs:restriction base="xs:string"> <xs:length value="3"/> </xs:restriction> </xs:simpleType> </xs:attribute> <xs:attribute name="type" use="optional" default="NONE"> <xs:annotation> <xs:documentation>Type of a bank transfer. </xs:documentation> </xs:annotation> <xs:simpleType> <xs:restriction base="xs:string"> <xs:enumeration value="NONE"/> <xs:enumeration value="BANKGIRO"/> <xs:enumeration value="DIRECTDEBIT"/> </xs:restriction> </xs:simpleType> </xs:attribute> <xs:attribute name="pageInLetter" type="xs:integer" use="optional"> <xs:annotation> <xs:documentation>The page number in the letter (not in the bundle) where this banktransfer code is located if this is known. The first page of the letter is 1 (one).</xs:documentation> </xs:annotation> </xs:attribute> <xs:attribute name="Payer" type="xs:string" use="optional"> <xs:annotation> <xs:documentation>The display name of the payer.</xs:documentation> </xs:annotation> </xs:attribute> <xs:attribute name="Payee" type="xs:string" use="optional"> <xs:annotation> <xs:documentation>The display name of the payee.</xs:documentation> </xs:annotation> </xs:attribute> </xs:complexType> </xs:element> <xs:element name="WebLink" minOccurs="0" maxOccurs="unbounded"> <xs:annotation> <xs:documentation>Web link to additional data. This is used in the electronic delivery.</xs:documentation> </xs:annotation> <xs:complexType> <xs:attribute name="link" type="xs:string" use="required"> <xs:annotation> <xs:documentation>Web link</xs:documentation> </xs:annotation> </xs:attribute> <xs:attribute name="linkTitle" type="xs:string" use="required"> <xs:annotation> <xs:documentation>The viewable SHORT link title.</xs:documentation> </xs:annotation> </xs:attribute> <xs:attribute name="infoText" type="xs:string" use="optional"> <xs:annotation> <xs:documentation>Additional text about the link.</xs:documentation> </xs:annotation> </xs:attribute> </xs:complexType> </xs:element> </xs:sequence> <xs:attribute name="language" type="xs:language" use="optional"> <xs:annotation> <xs:documentation>The language of the letter. The language code as defined by RFC 3066. Example "fi" = Finnish (or "fi-FI"), "sv" = swedish (or "sv-SE"), "en" = English (or "en-GB")</xs:documentation> </xs:annotation> </xs:attribute> <xs:attribute name="deliveryDate" type="xs:dateTime" use="optional"> <xs:annotation> <xs:documentation>The date when the message is to be delivered. This is USED ONLY IN THE ELECTRONIC DELIVERY.</xs:documentation> </xs:annotation> </xs:attribute> </xs:complexType> </xs:element> </xs:sequence> </xs:complexType> </xs:element>

element LetterMeta/Location

diagram |
namespace | urn:itella-letterbundle-v0x4
properties |
isRef | 0
content | complex
attributes |
Name | Type | Use | Default | Fixed | annotation
startPage | derived by: xs:int | required |  |  |
documentation
The start page of the letter in the separate data file. The first page in the bundle is 1 (one).
pages | xs:int | required |  |  |
documentation
Page count of the letter in the separate data file.
annotation |
documentation
This contains the location information of the letter in the file.
source | <xs:element name="Location"> <xs:annotation> <xs:documentation>This contains the location information of the letter in the file.</xs:documentation> </xs:annotation> <xs:complexType> <xs:attribute name="startPage" use="required"> <xs:annotation> <xs:documentation>The start page of the letter in the separate data file. The first page in the bundle is 1 (one).</xs:documentation> </xs:annotation> <xs:simpleType> <xs:restriction base="xs:int"> <xs:minInclusive value="1"/> <xs:whiteSpace value="collapse"/> </xs:restriction> </xs:simpleType> </xs:attribute> <xs:attribute name="pages" type="xs:int" use="required"> <xs:annotation> <xs:documentation>Page count of the letter in the separate data file.</xs:documentation> </xs:annotation> </xs:attribute> </xs:complexType> </xs:element>

attribute LetterMeta/Location/@startPage

type | restriction of xs:int
properties |
isRef | 0
use | required
facets |
minInclusive | 1
whiteSpace | collapse
annotation |
documentation
The start page of the letter in the separate data file. The first page in the bundle is 1 (one).
source | <xs:attribute name="startPage" use="required"> <xs:annotation> <xs:documentation>The start page of the letter in the separate data file. The first page in the bundle is 1 (one).</xs:documentation> </xs:annotation> <xs:simpleType> <xs:restriction base="xs:int"> <xs:minInclusive value="1"/> <xs:whiteSpace value="collapse"/> </xs:restriction> </xs:simpleType> </xs:attribute>

attribute LetterMeta/Location/@pages

type | xs:int
properties |
isRef | 0
use | required
annotation |
documentation
Page count of the letter in the separate data file.
source | <xs:attribute name="pages" type="xs:int" use="required"> <xs:annotation> <xs:documentation>Page count of the letter in the separate data file.</xs:documentation> </xs:annotation> </xs:attribute>

element LetterMeta/StdLetterProcessing

diagram |
namespace | urn:itella-letterbundle-v0x4
properties |
isRef | 0
minOcc | 0
maxOcc | 1
content | complex
attributes |
Name | Type | Use | Default | Fixed | annotation
copies | derived by: xs:int | optional | 1 |  |
documentation
Not in use in PDFeLetter
departmentClassificationCode | derived by: xs:string | optional |  |  |
source | <xs:element name="StdLetterProcessing" minOccurs="0"> <xs:complexType> <xs:attribute name="copies" use="optional" default="1"> <xs:annotation> <xs:documentation>Not in use in PDFeLetter</xs:documentation> </xs:annotation> <xs:simpleType> <xs:restriction base="xs:int"> <xs:minInclusive value="1"/> <xs:maxInclusive value="9"/> </xs:restriction> </xs:simpleType> </xs:attribute> <xs:attribute name="departmentClassificationCode" use="optional"> <xs:simpleType> <xs:restriction base="xs:string"> <xs:minLength value="1"/> <xs:maxLength value="5"/> <xs:whiteSpace value="preserve"/> </xs:restriction> </xs:simpleType> </xs:attribute> </xs:complexType> </xs:element>

attribute LetterMeta/StdLetterProcessing/@copies

type | restriction of xs:int
properties |
isRef | 0
default | 1
use | optional
facets |
minInclusive | 1
maxInclusive | 9
annotation |
documentation
Not in use in PDFeLetter
source | <xs:attribute name="copies" use="optional" default="1"> <xs:annotation> <xs:documentation>Not in use in PDFeLetter</xs:documentation> </xs:annotation> <xs:simpleType> <xs:restriction base="xs:int"> <xs:minInclusive value="1"/> <xs:maxInclusive value="9"/> </xs:restriction> </xs:simpleType> </xs:attribute>

attribute LetterMeta/StdLetterProcessing/@departmentClassificationCode

type | restriction of xs:string
properties |
isRef | 0
use | optional
facets |
minLength | 1
maxLength | 5
whiteSpace | preserve
source | <xs:attribute name="departmentClassificationCode" use="optional"> <xs:simpleType> <xs:restriction base="xs:string"> <xs:minLength value="1"/> <xs:maxLength value="5"/> <xs:whiteSpace value="preserve"/> </xs:restriction> </xs:simpleType> </xs:attribute>

element LetterMeta/LetterProcessingSet

diagram |
namespace | urn:itella-letterbundle-v0x4
properties |
isRef | 0
minOcc | 0
maxOcc | unbounded
content | complex
children | lb:Processing
attributes |
Name | Type | Use | Default | Fixed | annotation
id | xs:string | required |  |  |
documentation
The id of the processing set
annotation |
documentation
These processing settings are for special cases, when the StdLetterProcessing element has not enough information. The letterProcessingSet defines what processing elements are required in the LETTER LEVEL. The printing house defines what processingSetIds are available.
source | <xs:element name="LetterProcessingSet" minOccurs="0" maxOccurs="unbounded"> <xs:annotation> <xs:documentation>These processing settings are for special cases, when the StdLetterProcessing element has not enough information. The letterProcessingSet defines what processing elements are required in the LETTER LEVEL. The printing house defines what processingSetIds are available.</xs:documentation> </xs:annotation> <xs:complexType> <xs:sequence> <xs:element ref="lb:Processing" minOccurs="0" maxOccurs="unbounded"/> </xs:sequence> <xs:attribute name="id" type="xs:string" use="required"> <xs:annotation> <xs:documentation>The id of the processing set</xs:documentation> </xs:annotation> </xs:attribute> </xs:complexType> </xs:element>

attribute LetterMeta/LetterProcessingSet/@id

type | xs:string
properties |
isRef | 0
use | required
annotation |
documentation
The id of the processing set
source | <xs:attribute name="id" type="xs:string" use="required"> <xs:annotation> <xs:documentation>The id of the processing set</xs:documentation> </xs:annotation> </xs:attribute>

element LetterMeta/Recipient

diagram |
namespace | urn:itella-letterbundle-v0x4
properties |
isRef | 0
content | complex
children | lb:Address lb:PreferredElectronicAddress lb:ElectronicAddress
attributes |
Name | Type | Use | Default | Fixed | annotation
SSN | xs:string | optional |  |  |
documentation
The social security number (HETU in Finnish) of the recipient. This is used to identify the recipient in the electronic delivery ( First level match).
phoneNumber | xs:string | optional |  |  |
documentation
The telephone number of the recipient of the letter. This is used to identify the recipient in the electronic delivery (second level match).
emailAddress | xs:string | optional |  |  |
documentation
The email of the recipient. This data is used in the additional electronic delivery services (second level match).
customerCode | xs:string | optional |  |  |
documentation
The customer code of the recipient. This data is used in the additional electronic delivery services.
IBAN | xs:string | optional |  |  |
documentation
The IBAN (International Bank Account Number) of the recipient. This data is used in the additional electronic delivery services (second level match).
ovtID | derived by: xs:string |  |  |  |
documentation
String-encoded unique OVT ID (SFS 5748 ) of the recipient company. The Finnish OVT ID can be build from the Finnish Y code (Y-tunnus) for companies. Example: Y-code = 1234567-8 --> OVT ID = 003712345678
source | <xs:element name="Recipient"> <xs:complexType> <xs:sequence> <xs:element name="Address" type="lb:MailAddress"> <xs:annotation> <xs:documentation>The recipient mail address</xs:documentation> </xs:annotation> </xs:element> <xs:element name="PreferredElectronicAddress" type="lb:ElectronicAddressType" minOccurs="0"> <xs:annotation> <xs:documentation>The preferred electrocic address of the recipient. This is used as preferred address and channel if the electronic delivery is allowed. PreferedElectronicAddress is used before ElectronicAddresses for the electronic delivery.</xs:documentation> </xs:annotation> </xs:element> <xs:element name="ElectronicAddress" type="lb:ElectronicAddressType" minOccurs="0" maxOccurs="unbounded"> <xs:annotation> <xs:documentation>Electronic addresses of the recipient. These addresses are used if the electronic delivery is allowed. If the PreferedElectronicAddress element exists then it is used before ElectronicAddresses element for the electronic delivery.</xs:documentation> </xs:annotation> </xs:element> </xs:sequence> <xs:attribute name="SSN" type="xs:string" use="optional"> <xs:annotation> <xs:documentation>The social security number (HETU in Finnish) of the recipient. This is used to identify the recipient in the electronic delivery ( First level match).</xs:documentation> </xs:annotation> </xs:attribute> <xs:attribute name="phoneNumber" type="xs:string" use="optional"> <xs:annotation> <xs:documentation>The telephone number of the recipient of the letter. This is used to identify the recipient in the electronic delivery (second level match).</xs:documentation> </xs:annotation> </xs:attribute> <xs:attribute name="emailAddress" type="xs:string" use="optional"> <xs:annotation> <xs:documentation>The email of the recipient. This data is used in the additional electronic delivery services (second level match).</xs:documentation> </xs:annotation> </xs:attribute> <xs:attribute name="customerCode" type="xs:string" use="optional"> <xs:annotation> <xs:documentation>The customer code of the recipient. This data is used in the additional electronic delivery services.</xs:documentation> </xs:annotation> </xs:attribute> <xs:attribute name="IBAN" type="xs:string" use="optional"> <xs:annotation> <xs:documentation>The IBAN (International Bank Account Number) of the recipient. This data is used in the additional electronic delivery services (second level match).</xs:documentation> </xs:annotation> </xs:attribute> <xs:attribute name="ovtID"> <xs:annotation> <xs:documentation>String-encoded unique OVT ID (SFS 5748 ) of the recipient company. The Finnish OVT ID can be build from the Finnish Y code (Y-tunnus) for companies. Example: Y-code = 1234567-8 --> OVT ID = 003712345678</xs:documentation> </xs:annotation> <xs:simpleType> <xs:restriction base="xs:string"/> </xs:simpleType> </xs:attribute> </xs:complexType> </xs:element>

attribute LetterMeta/Recipient/@SSN

type | xs:string
properties |
isRef | 0
use | optional
annotation |
documentation
The social security number (HETU in Finnish) of the recipient. This is used to identify the recipient in the electronic delivery ( First level match).
source | <xs:attribute name="SSN" type="xs:string" use="optional"> <xs:annotation> <xs:documentation>The social security number (HETU in Finnish) of the recipient. This is used to identify the recipient in the electronic delivery ( First level match).</xs:documentation> </xs:annotation> </xs:attribute>

attribute LetterMeta/Recipient/@phoneNumber

type | xs:string
properties |
isRef | 0
use | optional
annotation |
documentation
The telephone number of the recipient of the letter. This is used to identify the recipient in the electronic delivery (second level match).
source | <xs:attribute name="phoneNumber" type="xs:string" use="optional"> <xs:annotation> <xs:documentation>The telephone number of the recipient of the letter. This is used to identify the recipient in the electronic delivery (second level match).</xs:documentation> </xs:annotation> </xs:attribute>

attribute LetterMeta/Recipient/@emailAddress

type | xs:string
properties |
isRef | 0
use | optional
annotation |
documentation
The email of the recipient. This data is used in the additional electronic delivery services (second level match).
source | <xs:attribute name="emailAddress" type="xs:string" use="optional"> <xs:annotation> <xs:documentation>The email of the recipient. This data is used in the additional electronic delivery services (second level match).</xs:documentation> </xs:annotation> </xs:attribute>

attribute LetterMeta/Recipient/@customerCode

type | xs:string
properties |
isRef | 0
use | optional
annotation |
documentation
The customer code of the recipient. This data is used in the additional electronic delivery services.
source | <xs:attribute name="customerCode" type="xs:string" use="optional"> <xs:annotation> <xs:documentation>The customer code of the recipient. This data is used in the additional electronic delivery services.</xs:documentation> </xs:annotation> </xs:attribute>

attribute LetterMeta/Recipient/@IBAN

type | xs:string
properties |
isRef | 0
use | optional
annotation |
documentation
The IBAN (International Bank Account Number) of the recipient. This data is used in the additional electronic delivery services (second level match).
source | <xs:attribute name="IBAN" type="xs:string" use="optional"> <xs:annotation> <xs:documentation>The IBAN (International Bank Account Number) of the recipient. This data is used in the additional electronic delivery services (second level match).</xs:documentation> </xs:annotation> </xs:attribute>

attribute LetterMeta/Recipient/@ovtID

type | restriction of xs:string
properties |
isRef | 0
annotation |
documentation
String-encoded unique OVT ID (SFS 5748 ) of the recipient company. The Finnish OVT ID can be build from the Finnish Y code (Y-tunnus) for companies. Example: Y-code = 1234567-8 --> OVT ID = 003712345678
source | <xs:attribute name="ovtID"> <xs:annotation> <xs:documentation>String-encoded unique OVT ID (SFS 5748 ) of the recipient company. The Finnish OVT ID can be build from the Finnish Y code (Y-tunnus) for companies. Example: Y-code = 1234567-8 --> OVT ID = 003712345678</xs:documentation> </xs:annotation> <xs:simpleType> <xs:restriction base="xs:string"/> </xs:simpleType> </xs:attribute>

element LetterMeta/Recipient/Address

diagram |
namespace | urn:itella-letterbundle-v0x4
type | lb:MailAddress
properties |
isRef | 0
content | complex
children | lb:Eu1
annotation |
documentation
The recipient mail address
source | <xs:element name="Address" type="lb:MailAddress"> <xs:annotation> <xs:documentation>The recipient mail address</xs:documentation> </xs:annotation> </xs:element>

element LetterMeta/Recipient/PreferredElectronicAddress

diagram |
namespace | urn:itella-letterbundle-v0x4
type | lb:ElectronicAddressType
properties |
isRef | 0
minOcc | 0
maxOcc | 1
content | complex
attributes |
Name | Type | Use | Default | Fixed | annotation
address | xs:string | required |  |  |
documentation
The address in the electronic delivery channel. For example Netpost uses ElectronicAddressID that uses the form 99999999-Q, where 99999999 is the OTS customer number of the recipient. The -Q part, where Q is the checksum character, is optional. For example, valid electronic addresses of Netpost are 00345213 and 00345213-R.
channelName | derived by: xs:string | required |  |  |
documentation
The name of the electronic channel.
annotation |
documentation
The preferred electrocic address of the recipient. This is used as preferred address and channel if the electronic delivery is allowed. PreferedElectronicAddress is used before ElectronicAddresses for the electronic delivery.
source | <xs:element name="PreferredElectronicAddress" type="lb:ElectronicAddressType" minOccurs="0"> <xs:annotation> <xs:documentation>The preferred electrocic address of the recipient. This is used as preferred address and channel if the electronic delivery is allowed. PreferedElectronicAddress is used before ElectronicAddresses for the electronic delivery.</xs:documentation> </xs:annotation> </xs:element>

element LetterMeta/Recipient/ElectronicAddress

diagram |
namespace | urn:itella-letterbundle-v0x4
type | lb:ElectronicAddressType
properties |
isRef | 0
minOcc | 0
maxOcc | unbounded
content | complex
attributes |
Name | Type | Use | Default | Fixed | annotation
address | xs:string | required |  |  |
documentation
The address in the electronic delivery channel. For example Netpost uses ElectronicAddressID that uses the form 99999999-Q, where 99999999 is the OTS customer number of the recipient. The -Q part, where Q is the checksum character, is optional. For example, valid electronic addresses of Netpost are 00345213 and 00345213-R.
channelName | derived by: xs:string | required |  |  |
documentation
The name of the electronic channel.
annotation |
documentation
Electronic addresses of the recipient. These addresses are used if the electronic delivery is allowed. If the PreferedElectronicAddress element exists then it is used before ElectronicAddresses element for the electronic delivery.
source | <xs:element name="ElectronicAddress" type="lb:ElectronicAddressType" minOccurs="0" maxOccurs="unbounded"> <xs:annotation> <xs:documentation>Electronic addresses of the recipient. These addresses are used if the electronic delivery is allowed. If the PreferedElectronicAddress element exists then it is used before ElectronicAddresses element for the electronic delivery.</xs:documentation> </xs:annotation> </xs:element>

element LetterMeta/Sender

diagram |
namespace | urn:itella-letterbundle-v0x4
properties |
isRef | 0
minOcc | 0
maxOcc | 1
content | complex
children | lb:name lb:Address
attributes |
Name | Type | Use | Default | Fixed | annotation
ovtID | derived by: xs:string |  |  |  |
documentation
String-encoded unique OVT ID (SFS 5748 ) of the original letter sender for the recipient. This is used to identify the sender in the electronic delivery. It is highly recomended to include this attribute in the data. The Finnish OVT ID can be build from the Finnish Y code (Y-tunnus) for companies. Example: Y-code = 1234567-8 --> OVT ID = 003712345678
email | xs:string | optional |  |  |
documentation
The email address of the sender of the letter for the recipient.
webSite | xs:string | optional |  |  |
documentation
The webSite of the sender of the letter for the recipient.
phoneNumber | xs:string | optional |  |  |
documentation
The phone number for the customer service of the sender of this letter.
annotation |
documentation
The sender of the letter for the recipient. This data is used in the electronic delivery services.
source | <xs:element name="Sender" minOccurs="0"> <xs:annotation> <xs:documentation>The sender of the letter for the recipient. This data is used in the electronic delivery services.</xs:documentation> </xs:annotation> <xs:complexType> <xs:sequence> <xs:element name="name" type="lb:TextWithLanguageType" minOccurs="0" maxOccurs="unbounded"> <xs:annotation> <xs:documentation>The sender name of the letter for the recipient. This name is shown in the electronic delivery. If the sender has same name in different languages do not set the language attribute.</xs:documentation> </xs:annotation> </xs:element> <xs:element name="Address" type="lb:MailAddress" minOccurs="0"> <xs:annotation> <xs:documentation>The mail address of letter sender. </xs:documentation> </xs:annotation> </xs:element> </xs:sequence> <xs:attribute name="ovtID"> <xs:annotation> <xs:documentation>String-encoded unique OVT ID (SFS 5748 ) of the original letter sender for the recipient. This is used to identify the sender in the electronic delivery. It is highly recomended to include this attribute in the data. The Finnish OVT ID can be build from the Finnish Y code (Y-tunnus) for companies. Example: Y-code = 1234567-8 --> OVT ID = 003712345678</xs:documentation> </xs:annotation> <xs:simpleType> <xs:restriction base="xs:string"/> </xs:simpleType> </xs:attribute> <xs:attribute name="email" type="xs:string" use="optional"> <xs:annotation> <xs:documentation>The email address of the sender of the letter for the recipient. </xs:documentation> </xs:annotation> </xs:attribute> <xs:attribute name="webSite" type="xs:string" use="optional"> <xs:annotation> <xs:documentation>The webSite of the sender of the letter for the recipient. </xs:documentation> </xs:annotation> </xs:attribute> <xs:attribute name="phoneNumber" type="xs:string" use="optional"> <xs:annotation> <xs:documentation>The phone number for the customer service of the sender of this letter.</xs:documentation> </xs:annotation> </xs:attribute> </xs:complexType> </xs:element>

attribute LetterMeta/Sender/@ovtID

type | restriction of xs:string
properties |
isRef | 0
annotation |
documentation
String-encoded unique OVT ID (SFS 5748 ) of the original letter sender for the recipient. This is used to identify the sender in the electronic delivery. It is highly recomended to include this attribute in the data. The Finnish OVT ID can be build from the Finnish Y code (Y-tunnus) for companies. Example: Y-code = 1234567-8 --> OVT ID = 003712345678
source | <xs:attribute name="ovtID"> <xs:annotation> <xs:documentation>String-encoded unique OVT ID (SFS 5748 ) of the original letter sender for the recipient. This is used to identify the sender in the electronic delivery. It is highly recomended to include this attribute in the data. The Finnish OVT ID can be build from the Finnish Y code (Y-tunnus) for companies. Example: Y-code = 1234567-8 --> OVT ID = 003712345678</xs:documentation> </xs:annotation> <xs:simpleType> <xs:restriction base="xs:string"/> </xs:simpleType> </xs:attribute>

attribute LetterMeta/Sender/@email

type | xs:string
properties |
isRef | 0
use | optional
annotation |
documentation
The email address of the sender of the letter for the recipient.
source | <xs:attribute name="email" type="xs:string" use="optional"> <xs:annotation> <xs:documentation>The email address of the sender of the letter for the recipient. </xs:documentation> </xs:annotation> </xs:attribute>

attribute LetterMeta/Sender/@webSite

type | xs:string
properties |
isRef | 0
use | optional
annotation |
documentation
The webSite of the sender of the letter for the recipient.
source | <xs:attribute name="webSite" type="xs:string" use="optional"> <xs:annotation> <xs:documentation>The webSite of the sender of the letter for the recipient. </xs:documentation> </xs:annotation> </xs:attribute>

attribute LetterMeta/Sender/@phoneNumber

type | xs:string
properties |
isRef | 0
use | optional
annotation |
documentation
The phone number for the customer service of the sender of this letter.
source | <xs:attribute name="phoneNumber" type="xs:string" use="optional"> <xs:annotation> <xs:documentation>The phone number for the customer service of the sender of this letter.</xs:documentation> </xs:annotation> </xs:attribute>

element LetterMeta/Sender/name

diagram |
namespace | urn:itella-letterbundle-v0x4
type | lb:TextWithLanguageType
properties |
isRef | 0
minOcc | 0
maxOcc | unbounded
content | complex
attributes |
Name | Type | Use | Default | Fixed | annotation
language | xs:language | optional |  |  |
documentation
The language code as defined by RFC 3066. Examples: "fi" = Finnish, "fi-FI" = Finnish, "sv-SE" = Swedish, "en-GB" = English (Great Britain)
text | xs:string | required |  |  |
annotation |
documentation
The sender name of the letter for the recipient. This name is shown in the electronic delivery. If the sender has same name in different languages do not set the language attribute.
source | <xs:element name="name" type="lb:TextWithLanguageType" minOccurs="0" maxOccurs="unbounded"> <xs:annotation> <xs:documentation>The sender name of the letter for the recipient. This name is shown in the electronic delivery. If the sender has same name in different languages do not set the language attribute.</xs:documentation> </xs:annotation> </xs:element>

element LetterMeta/Sender/Address

diagram |
namespace | urn:itella-letterbundle-v0x4
type | lb:MailAddress
properties |
isRef | 0
minOcc | 0
maxOcc | 1
content | complex
children | lb:Eu1
annotation |
documentation
The mail address of letter sender.
source | <xs:element name="Address" type="lb:MailAddress" minOccurs="0"> <xs:annotation> <xs:documentation>The mail address of letter sender. </xs:documentation> </xs:annotation> </xs:element>

element LetterMeta/LetterDetails

diagram |
namespace | urn:itella-letterbundle-v0x4
properties |
isRef | 0
minOcc | 0
maxOcc | 1
content | complex
children | lb:Subject lb:LetterContentType lb:BankTransfer lb:WebLink
attributes |
Name | Type | Use | Default | Fixed | annotation
language | xs:language | optional |  |  |
documentation
The language of the letter. The language code as defined by RFC 3066. Example "fi" = Finnish (or "fi-FI"), "sv" = swedish (or "sv-SE"), "en" = English (or "en-GB")
deliveryDate | xs:dateTime | optional |  |  |
documentation
The date when the message is to be delivered. This is USED ONLY IN THE ELECTRONIC DELIVERY.
annotation |
documentation
This data is used in the electronic delivery services.
source | <xs:element name="LetterDetails" minOccurs="0"> <xs:annotation> <xs:documentation>This data is used in the electronic delivery services.</xs:documentation> </xs:annotation> <xs:complexType> <xs:sequence> <xs:element name="Subject" type="lb:TextWithLanguageType" minOccurs="0" maxOccurs="unbounded"> <xs:annotation> <xs:documentation>The subject of the letter. This is used in the electronic delivery of the letter.</xs:documentation> </xs:annotation> </xs:element> <xs:element name="LetterContentType" minOccurs="0"> <xs:annotation> <xs:documentation>The type of the letter content. This is usesd in the electronic delivery.</xs:documentation> </xs:annotation> <xs:complexType> <xs:attribute name="invoice" type="xs:boolean" use="optional" default="false"> <xs:annotation> <xs:documentation>An invoice from a seller to a buyer.</xs:documentation> </xs:annotation> </xs:attribute> <xs:attribute name="wageSlip" type="xs:boolean" use="optional" default="false"> <xs:annotation> <xs:documentation>A wage slip from an employer to an employee.</xs:documentation> </xs:annotation> </xs:attribute> <xs:attribute name="arrivalNotice" type="xs:boolean" use="optional" default="false"> <xs:annotation> <xs:documentation>Arrival notice of registered mail or packet.</xs:documentation> </xs:annotation> </xs:attribute> <xs:attribute name="healthCare" type="xs:boolean" use="optional" default="false"> <xs:annotation> <xs:documentation>A healthcare related message, such as referral or call.</xs:documentation> </xs:annotation> </xs:attribute> <xs:attribute name="reminder" type="xs:boolean" use="optional" default="false"> <xs:annotation> <xs:documentation>Examples: The book from library is late or payment is late.</xs:documentation> </xs:annotation> </xs:attribute> <xs:attribute name="announcement" type="xs:boolean" use="optional" default="false"/> </xs:complexType> </xs:element> <xs:element name="BankTransfer" minOccurs="0" maxOccurs="unbounded"> <xs:annotation> <xs:documentation>A bank transfer contains the names of the payer and payee, the total amount to pay, the issue and due dates, reference number, and a virtual bank bar code. This is used in the electronic delivery of the letter.</xs:documentation> </xs:annotation> <xs:complexType> <xs:attribute name="bankBarcode" type="xs:string" use="required"> <xs:annotation> <xs:documentation>The virtual bank barcode of the bank transfer. The virtual bank barcode is an empty string in case the type of the bank transfer is DIRECTDEBIT. In Finland this code has 54 numbers (0-9).</xs:documentation> </xs:annotation> </xs:attribute> <xs:attribute name="referenceNumber" type="xs:string" use="optional"> <xs:annotation> <xs:documentation>The reference number of the bank transfer.</xs:documentation> </xs:annotation> </xs:attribute> <xs:attribute name="dueDate" type="xs:date" use="optional"> <xs:annotation> <xs:documentation>The due date of the bank transfer, with lexical representation YYYY-MM-DD as defined by ISO 8061.</xs:documentation> </xs:annotation> </xs:attribute> <xs:attribute name="issueDate" type="xs:date" use="optional"> <xs:annotation> <xs:documentation>The date of issuing the bank transfer form, with lexical representation YYYY-MM-DD as defined by ISO 8061.</xs:documentation> </xs:annotation> </xs:attribute> <xs:attribute name="totalAmount" type="xs:decimal" use="optional"> <xs:annotation> <xs:documentation>The total amount to pay in the defined currency.</xs:documentation> </xs:annotation> </xs:attribute> <xs:attribute name="totalAmountString" type="xs:string" use="optional"> <xs:annotation> <xs:documentation>This amount is displayed for the recipient. For example in case the type of the bank transfer is DIRECTINVOICE the total amount string is '****'.</xs:documentation> </xs:annotation> </xs:attribute> <xs:attribute name="currency" use="optional" default="EUR"> <xs:annotation> <xs:documentation>The three-character currency code as defined by ISO 4217.</xs:documentation> </xs:annotation> <xs:simpleType> <xs:restriction base="xs:string"> <xs:length value="3"/> </xs:restriction> </xs:simpleType> </xs:attribute> <xs:attribute name="type" use="optional" default="NONE"> <xs:annotation> <xs:documentation>Type of a bank transfer. </xs:documentation> </xs:annotation> <xs:simpleType> <xs:restriction base="xs:string"> <xs:enumeration value="NONE"/> <xs:enumeration value="BANKGIRO"/> <xs:enumeration value="DIRECTDEBIT"/> </xs:restriction> </xs:simpleType> </xs:attribute> <xs:attribute name="pageInLetter" type="xs:integer" use="optional"> <xs:annotation> <xs:documentation>The page number in the letter (not in the bundle) where this banktransfer code is located if this is known. The first page of the letter is 1 (one).</xs:documentation> </xs:annotation> </xs:attribute> <xs:attribute name="Payer" type="xs:string" use="optional"> <xs:annotation> <xs:documentation>The display name of the payer.</xs:documentation> </xs:annotation> </xs:attribute> <xs:attribute name="Payee" type="xs:string" use="optional"> <xs:annotation> <xs:documentation>The display name of the payee.</xs:documentation> </xs:annotation> </xs:attribute> </xs:complexType> </xs:element> <xs:element name="WebLink" minOccurs="0" maxOccurs="unbounded"> <xs:annotation> <xs:documentation>Web link to additional data. This is used in the electronic delivery.</xs:documentation> </xs:annotation> <xs:complexType> <xs:attribute name="link" type="xs:string" use="required"> <xs:annotation> <xs:documentation>Web link</xs:documentation> </xs:annotation> </xs:attribute> <xs:attribute name="linkTitle" type="xs:string" use="required"> <xs:annotation> <xs:documentation>The viewable SHORT link title.</xs:documentation> </xs:annotation> </xs:attribute> <xs:attribute name="infoText" type="xs:string" use="optional"> <xs:annotation> <xs:documentation>Additional text about the link.</xs:documentation> </xs:annotation> </xs:attribute> </xs:complexType> </xs:element> </xs:sequence> <xs:attribute name="language" type="xs:language" use="optional"> <xs:annotation> <xs:documentation>The language of the letter. The language code as defined by RFC 3066. Example "fi" = Finnish (or "fi-FI"), "sv" = swedish (or "sv-SE"), "en" = English (or "en-GB")</xs:documentation> </xs:annotation> </xs:attribute> <xs:attribute name="deliveryDate" type="xs:dateTime" use="optional"> <xs:annotation> <xs:documentation>The date when the message is to be delivered. This is USED ONLY IN THE ELECTRONIC DELIVERY.</xs:documentation> </xs:annotation> </xs:attribute> </xs:complexType> </xs:element>

attribute LetterMeta/LetterDetails/@language

type | xs:language
properties |
isRef | 0
use | optional
annotation |
documentation
The language of the letter. The language code as defined by RFC 3066. Example "fi" = Finnish (or "fi-FI"), "sv" = swedish (or "sv-SE"), "en" = English (or "en-GB")
source | <xs:attribute name="language" type="xs:language" use="optional"> <xs:annotation> <xs:documentation>The language of the letter. The language code as defined by RFC 3066. Example "fi" = Finnish (or "fi-FI"), "sv" = swedish (or "sv-SE"), "en" = English (or "en-GB")</xs:documentation> </xs:annotation> </xs:attribute>

attribute LetterMeta/LetterDetails/@deliveryDate

type | xs:dateTime
properties |
isRef | 0
use | optional
annotation |
documentation
The date when the message is to be delivered. This is USED ONLY IN THE ELECTRONIC DELIVERY.
source | <xs:attribute name="deliveryDate" type="xs:dateTime" use="optional"> <xs:annotation> <xs:documentation>The date when the message is to be delivered. This is USED ONLY IN THE ELECTRONIC DELIVERY.</xs:documentation> </xs:annotation> </xs:attribute>

element LetterMeta/LetterDetails/Subject

diagram |
namespace | urn:itella-letterbundle-v0x4
type | lb:TextWithLanguageType
properties |
isRef | 0
minOcc | 0
maxOcc | unbounded
content | complex
attributes |
Name | Type | Use | Default | Fixed | annotation
language | xs:language | optional |  |  |
documentation
The language code as defined by RFC 3066. Examples: "fi" = Finnish, "fi-FI" = Finnish, "sv-SE" = Swedish, "en-GB" = English (Great Britain)
text | xs:string | required |  |  |
annotation |
documentation
The subject of the letter. This is used in the electronic delivery of the letter.
source | <xs:element name="Subject" type="lb:TextWithLanguageType" minOccurs="0" maxOccurs="unbounded"> <xs:annotation> <xs:documentation>The subject of the letter. This is used in the electronic delivery of the letter.</xs:documentation> </xs:annotation> </xs:element>

element LetterMeta/LetterDetails/LetterContentType

diagram |
namespace | urn:itella-letterbundle-v0x4
properties |
isRef | 0
minOcc | 0
maxOcc | 1
content | complex
attributes |
Name | Type | Use | Default | Fixed | annotation
invoice | xs:boolean | optional | false |  |
documentation
An invoice from a seller to a buyer.
wageSlip | xs:boolean | optional | false |  |
documentation
A wage slip from an employer to an employee.
arrivalNotice | xs:boolean | optional | false |  |
documentation
Arrival notice of registered mail or packet.
healthCare | xs:boolean | optional | false |  |
documentation
A healthcare related message, such as referral or call.
reminder | xs:boolean | optional | false |  |
documentation
Examples: The book from library is late or payment is late.
announcement | xs:boolean | optional | false |  |
annotation |
documentation
The type of the letter content. This is usesd in the electronic delivery.
source | <xs:element name="LetterContentType" minOccurs="0"> <xs:annotation> <xs:documentation>The type of the letter content. This is usesd in the electronic delivery.</xs:documentation> </xs:annotation> <xs:complexType> <xs:attribute name="invoice" type="xs:boolean" use="optional" default="false"> <xs:annotation> <xs:documentation>An invoice from a seller to a buyer.</xs:documentation> </xs:annotation> </xs:attribute> <xs:attribute name="wageSlip" type="xs:boolean" use="optional" default="false"> <xs:annotation> <xs:documentation>A wage slip from an employer to an employee.</xs:documentation> </xs:annotation> </xs:attribute> <xs:attribute name="arrivalNotice" type="xs:boolean" use="optional" default="false"> <xs:annotation> <xs:documentation>Arrival notice of registered mail or packet.</xs:documentation> </xs:annotation> </xs:attribute> <xs:attribute name="healthCare" type="xs:boolean" use="optional" default="false"> <xs:annotation> <xs:documentation>A healthcare related message, such as referral or call.</xs:documentation> </xs:annotation> </xs:attribute> <xs:attribute name="reminder" type="xs:boolean" use="optional" default="false"> <xs:annotation> <xs:documentation>Examples: The book from library is late or payment is late.</xs:documentation> </xs:annotation> </xs:attribute> <xs:attribute name="announcement" type="xs:boolean" use="optional" default="false"/> </xs:complexType> </xs:element>

attribute LetterMeta/LetterDetails/LetterContentType/@invoice

type | xs:boolean
properties |
isRef | 0
default | false
use | optional
annotation |
documentation
An invoice from a seller to a buyer.
source | <xs:attribute name="invoice" type="xs:boolean" use="optional" default="false"> <xs:annotation> <xs:documentation>An invoice from a seller to a buyer.</xs:documentation> </xs:annotation> </xs:attribute>

attribute LetterMeta/LetterDetails/LetterContentType/@wageSlip

type | xs:boolean
properties |
isRef | 0
default | false
use | optional
annotation |
documentation
A wage slip from an employer to an employee.
source | <xs:attribute name="wageSlip" type="xs:boolean" use="optional" default="false"> <xs:annotation> <xs:documentation>A wage slip from an employer to an employee.</xs:documentation> </xs:annotation> </xs:attribute>

attribute LetterMeta/LetterDetails/LetterContentType/@arrivalNotice

type | xs:boolean
properties |
isRef | 0
default | false
use | optional
annotation |
documentation
Arrival notice of registered mail or packet.
source | <xs:attribute name="arrivalNotice" type="xs:boolean" use="optional" default="false"> <xs:annotation> <xs:documentation>Arrival notice of registered mail or packet.</xs:documentation> </xs:annotation> </xs:attribute>

attribute LetterMeta/LetterDetails/LetterContentType/@healthCare

type | xs:boolean
properties |
isRef | 0
default | false
use | optional
annotation |
documentation
A healthcare related message, such as referral or call.
source | <xs:attribute name="healthCare" type="xs:boolean" use="optional" default="false"> <xs:annotation> <xs:documentation>A healthcare related message, such as referral or call.</xs:documentation> </xs:annotation> </xs:attribute>

attribute LetterMeta/LetterDetails/LetterContentType/@reminder

type | xs:boolean
properties |
isRef | 0
default | false
use | optional
annotation |
documentation
Examples: The book from library is late or payment is late.
source | <xs:attribute name="reminder" type="xs:boolean" use="optional" default="false"> <xs:annotation> <xs:documentation>Examples: The book from library is late or payment is late.</xs:documentation> </xs:annotation> </xs:attribute>

attribute LetterMeta/LetterDetails/LetterContentType/@announcement

type | xs:boolean
properties |
isRef | 0
default | false
use | optional
source | <xs:attribute name="announcement" type="xs:boolean" use="optional" default="false"/>

element LetterMeta/LetterDetails/BankTransfer

diagram |
namespace | urn:itella-letterbundle-v0x4
properties |
isRef | 0
minOcc | 0
maxOcc | unbounded
content | complex
attributes |
Name | Type | Use | Default | Fixed | annotation
bankBarcode | xs:string | required |  |  |
documentation
The virtual bank barcode of the bank transfer. The virtual bank barcode is an empty string in case the type of the bank transfer is DIRECTDEBIT. In Finland this code has 54 numbers (0-9).
referenceNumber | xs:string | optional |  |  |
documentation
The reference number of the bank transfer.
dueDate | xs:date | optional |  |  |
documentation
The due date of the bank transfer, with lexical representation YYYY-MM-DD as defined by ISO 8061.
issueDate | xs:date | optional |  |  |
documentation
The date of issuing the bank transfer form, with lexical representation YYYY-MM-DD as defined by ISO 8061.
totalAmount | xs:decimal | optional |  |  |
documentation
The total amount to pay in the defined currency.
totalAmountString | xs:string | optional |  |  |
documentation
This amount is displayed for the recipient. For example in case the type of the bank transfer is DIRECTINVOICE the total amount string is '****'.
currency | derived by: xs:string | optional | EUR |  |
documentation
The three-character currency code as defined by ISO 4217.
type | derived by: xs:string | optional | NONE |  |
documentation
Type of a bank transfer.
pageInLetter | xs:integer | optional |  |  |
documentation
The page number in the letter (not in the bundle) where this banktransfer code is located if this is known. The first page of the letter is 1 (one).
Payer | xs:string | optional |  |  |
documentation
The display name of the payer.
Payee | xs:string | optional |  |  |
documentation
The display name of the payee.
annotation |
documentation
A bank transfer contains the names of the payer and payee, the total amount to pay, the issue and due dates, reference number, and a virtual bank bar code. This is used in the electronic delivery of the letter.
source | <xs:element name="BankTransfer" minOccurs="0" maxOccurs="unbounded"> <xs:annotation> <xs:documentation>A bank transfer contains the names of the payer and payee, the total amount to pay, the issue and due dates, reference number, and a virtual bank bar code. This is used in the electronic delivery of the letter.</xs:documentation> </xs:annotation> <xs:complexType> <xs:attribute name="bankBarcode" type="xs:string" use="required"> <xs:annotation> <xs:documentation>The virtual bank barcode of the bank transfer. The virtual bank barcode is an empty string in case the type of the bank transfer is DIRECTDEBIT. In Finland this code has 54 numbers (0-9).</xs:documentation> </xs:annotation> </xs:attribute> <xs:attribute name="referenceNumber" type="xs:string" use="optional"> <xs:annotation> <xs:documentation>The reference number of the bank transfer.</xs:documentation> </xs:annotation> </xs:attribute> <xs:attribute name="dueDate" type="xs:date" use="optional"> <xs:annotation> <xs:documentation>The due date of the bank transfer, with lexical representation YYYY-MM-DD as defined by ISO 8061.</xs:documentation> </xs:annotation> </xs:attribute> <xs:attribute name="issueDate" type="xs:date" use="optional"> <xs:annotation> <xs:documentation>The date of issuing the bank transfer form, with lexical representation YYYY-MM-DD as defined by ISO 8061.</xs:documentation> </xs:annotation> </xs:attribute> <xs:attribute name="totalAmount" type="xs:decimal" use="optional"> <xs:annotation> <xs:documentation>The total amount to pay in the defined currency.</xs:documentation> </xs:annotation> </xs:attribute> <xs:attribute name="totalAmountString" type="xs:string" use="optional"> <xs:annotation> <xs:documentation>This amount is displayed for the recipient. For example in case the type of the bank transfer is DIRECTINVOICE the total amount string is '****'.</xs:documentation> </xs:annotation> </xs:attribute> <xs:attribute name="currency" use="optional" default="EUR"> <xs:annotation> <xs:documentation>The three-character currency code as defined by ISO 4217.</xs:documentation> </xs:annotation> <xs:simpleType> <xs:restriction base="xs:string"> <xs:length value="3"/> </xs:restriction> </xs:simpleType> </xs:attribute> <xs:attribute name="type" use="optional" default="NONE"> <xs:annotation> <xs:documentation>Type of a bank transfer. </xs:documentation> </xs:annotation> <xs:simpleType> <xs:restriction base="xs:string"> <xs:enumeration value="NONE"/> <xs:enumeration value="BANKGIRO"/> <xs:enumeration value="DIRECTDEBIT"/> </xs:restriction> </xs:simpleType> </xs:attribute> <xs:attribute name="pageInLetter" type="xs:integer" use="optional"> <xs:annotation> <xs:documentation>The page number in the letter (not in the bundle) where this banktransfer code is located if this is known. The first page of the letter is 1 (one).</xs:documentation> </xs:annotation> </xs:attribute> <xs:attribute name="Payer" type="xs:string" use="optional"> <xs:annotation> <xs:documentation>The display name of the payer.</xs:documentation> </xs:annotation> </xs:attribute> <xs:attribute name="Payee" type="xs:string" use="optional"> <xs:annotation> <xs:documentation>The display name of the payee.</xs:documentation> </xs:annotation> </xs:attribute> </xs:complexType> </xs:element>

attribute LetterMeta/LetterDetails/BankTransfer/@bankBarcode

type | xs:string
properties |
isRef | 0
use | required
annotation |
documentation
The virtual bank barcode of the bank transfer. The virtual bank barcode is an empty string in case the type of the bank transfer is DIRECTDEBIT. In Finland this code has 54 numbers (0-9).
source | <xs:attribute name="bankBarcode" type="xs:string" use="required"> <xs:annotation> <xs:documentation>The virtual bank barcode of the bank transfer. The virtual bank barcode is an empty string in case the type of the bank transfer is DIRECTDEBIT. In Finland this code has 54 numbers (0-9).</xs:documentation> </xs:annotation> </xs:attribute>

attribute LetterMeta/LetterDetails/BankTransfer/@referenceNumber

type | xs:string
properties |
isRef | 0
use | optional
annotation |
documentation
The reference number of the bank transfer.
source | <xs:attribute name="referenceNumber" type="xs:string" use="optional"> <xs:annotation> <xs:documentation>The reference number of the bank transfer.</xs:documentation> </xs:annotation> </xs:attribute>

attribute LetterMeta/LetterDetails/BankTransfer/@dueDate

type | xs:date
properties |
isRef | 0
use | optional
annotation |
documentation
The due date of the bank transfer, with lexical representation YYYY-MM-DD as defined by ISO 8061.
source | <xs:attribute name="dueDate" type="xs:date" use="optional"> <xs:annotation> <xs:documentation>The due date of the bank transfer, with lexical representation YYYY-MM-DD as defined by ISO 8061.</xs:documentation> </xs:annotation> </xs:attribute>

attribute LetterMeta/LetterDetails/BankTransfer/@issueDate

type | xs:date
properties |
isRef | 0
use | optional
annotation |
documentation
The date of issuing the bank transfer form, with lexical representation YYYY-MM-DD as defined by ISO 8061.
source | <xs:attribute name="issueDate" type="xs:date" use="optional"> <xs:annotation> <xs:documentation>The date of issuing the bank transfer form, with lexical representation YYYY-MM-DD as defined by ISO 8061.</xs:documentation> </xs:annotation> </xs:attribute>

attribute LetterMeta/LetterDetails/BankTransfer/@totalAmount

type | xs:decimal
properties |
isRef | 0
use | optional
annotation |
documentation
The total amount to pay in the defined currency.
source | <xs:attribute name="totalAmount" type="xs:decimal" use="optional"> <xs:annotation> <xs:documentation>The total amount to pay in the defined currency.</xs:documentation> </xs:annotation> </xs:attribute>

attribute LetterMeta/LetterDetails/BankTransfer/@totalAmountString

type | xs:string
properties |
isRef | 0
use | optional
annotation |
documentation
This amount is displayed for the recipient. For example in case the type of the bank transfer is DIRECTINVOICE the total amount string is '****'.
source | <xs:attribute name="totalAmountString" type="xs:string" use="optional"> <xs:annotation> <xs:documentation>This amount is displayed for the recipient. For example in case the type of the bank transfer is DIRECTINVOICE the total amount string is '****'.</xs:documentation> </xs:annotation> </xs:attribute>

attribute LetterMeta/LetterDetails/BankTransfer/@currency

type | restriction of xs:string
properties |
isRef | 0
default | EUR
use | optional
facets |
length | 3
annotation |
documentation
The three-character currency code as defined by ISO 4217.
source | <xs:attribute name="currency" use="optional" default="EUR"> <xs:annotation> <xs:documentation>The three-character currency code as defined by ISO 4217.</xs:documentation> </xs:annotation> <xs:simpleType> <xs:restriction base="xs:string"> <xs:length value="3"/> </xs:restriction> </xs:simpleType> </xs:attribute>

attribute LetterMeta/LetterDetails/BankTransfer/@type

type | restriction of xs:string
properties |
isRef | 0
default | NONE
use | optional
facets |
enumeration | NONE
enumeration | BANKGIRO
enumeration | DIRECTDEBIT
annotation |
documentation
Type of a bank transfer.
source | <xs:attribute name="type" use="optional" default="NONE"> <xs:annotation> <xs:documentation>Type of a bank transfer. </xs:documentation> </xs:annotation> <xs:simpleType> <xs:restriction base="xs:string"> <xs:enumeration value="NONE"/> <xs:enumeration value="BANKGIRO"/> <xs:enumeration value="DIRECTDEBIT"/> </xs:restriction> </xs:simpleType> </xs:attribute>

attribute LetterMeta/LetterDetails/BankTransfer/@pageInLetter

type | xs:integer
properties |
isRef | 0
use | optional
annotation |
documentation
The page number in the letter (not in the bundle) where this banktransfer code is located if this is known. The first page of the letter is 1 (one).
source | <xs:attribute name="pageInLetter" type="xs:integer" use="optional"> <xs:annotation> <xs:documentation>The page number in the letter (not in the bundle) where this banktransfer code is located if this is known. The first page of the letter is 1 (one).</xs:documentation> </xs:annotation> </xs:attribute>

attribute LetterMeta/LetterDetails/BankTransfer/@Payer

type | xs:string
properties |
isRef | 0
use | optional
annotation |
documentation
The display name of the payer.
source | <xs:attribute name="Payer" type="xs:string" use="optional"> <xs:annotation> <xs:documentation>The display name of the payer.</xs:documentation> </xs:annotation> </xs:attribute>

attribute LetterMeta/LetterDetails/BankTransfer/@Payee

type | xs:string
properties |
isRef | 0
use | optional
annotation |
documentation
The display name of the payee.
source | <xs:attribute name="Payee" type="xs:string" use="optional"> <xs:annotation> <xs:documentation>The display name of the payee.</xs:documentation> </xs:annotation> </xs:attribute>

element LetterMeta/LetterDetails/WebLink

diagram |
namespace | urn:itella-letterbundle-v0x4
properties |
isRef | 0
minOcc | 0
maxOcc | unbounded
content | complex
attributes |
Name | Type | Use | Default | Fixed | annotation
link | xs:string | required |  |  |
documentation
Web link
linkTitle | xs:string | required |  |  |
documentation
The viewable SHORT link title.
infoText | xs:string | optional |  |  |
documentation
Additional text about the link.
annotation |
documentation
Web link to additional data. This is used in the electronic delivery.
source | <xs:element name="WebLink" minOccurs="0" maxOccurs="unbounded"> <xs:annotation> <xs:documentation>Web link to additional data. This is used in the electronic delivery.</xs:documentation> </xs:annotation> <xs:complexType> <xs:attribute name="link" type="xs:string" use="required"> <xs:annotation> <xs:documentation>Web link</xs:documentation> </xs:annotation> </xs:attribute> <xs:attribute name="linkTitle" type="xs:string" use="required"> <xs:annotation> <xs:documentation>The viewable SHORT link title.</xs:documentation> </xs:annotation> </xs:attribute> <xs:attribute name="infoText" type="xs:string" use="optional"> <xs:annotation> <xs:documentation>Additional text about the link.</xs:documentation> </xs:annotation> </xs:attribute> </xs:complexType> </xs:element>

attribute LetterMeta/LetterDetails/WebLink/@link

type | xs:string
properties |
isRef | 0
use | required
annotation |
documentation
Web link
source | <xs:attribute name="link" type="xs:string" use="required"> <xs:annotation> <xs:documentation>Web link</xs:documentation> </xs:annotation> </xs:attribute>

attribute LetterMeta/LetterDetails/WebLink/@linkTitle

type | xs:string
properties |
isRef | 0
use | required
annotation |
documentation
The viewable SHORT link title.
source | <xs:attribute name="linkTitle" type="xs:string" use="required"> <xs:annotation> <xs:documentation>The viewable SHORT link title.</xs:documentation> </xs:annotation> </xs:attribute>

attribute LetterMeta/LetterDetails/WebLink/@infoText

type | xs:string
properties |
isRef | 0
use | optional
annotation |
documentation
Additional text about the link.
source | <xs:attribute name="infoText" type="xs:string" use="optional"> <xs:annotation> <xs:documentation>Additional text about the link.</xs:documentation> </xs:annotation> </xs:attribute>

element Processing

diagram |
namespace | urn:itella-letterbundle-v0x4
properties |
content | complex
used by |
elements | BundleCommon/BundleProcessingSet LetterMeta/LetterProcessingSet
attributes |
Name | Type | Use | Default | Fixed | annotation
key | xs:string | required |  |  |
value | xs:string | required |  |  |
annotation |
documentation
The printing house defines what processing elements are required for this printing works in the bundle level or in the letter level.
source | <xs:element name="Processing"> <xs:annotation> <xs:documentation>The printing house defines what processing elements are required for this printing works in the bundle level or in the letter level. </xs:documentation> </xs:annotation> <xs:complexType> <xs:attribute name="key" type="xs:string" use="required"/> <xs:attribute name="value" type="xs:string" use="required"/> </xs:complexType> </xs:element>

attribute Processing/@key

type | xs:string
properties |
isRef | 0
use | required
source | <xs:attribute name="key" type="xs:string" use="required"/>

attribute Processing/@value

type | xs:string
properties |
isRef | 0
use | required
source | <xs:attribute name="value" type="xs:string" use="required"/>

complexType ElectronicAddressType

diagram |
namespace | urn:itella-letterbundle-v0x4
used by |
elements | LetterMeta/Recipient/ElectronicAddress LetterMeta/Recipient/PreferredElectronicAddress
attributes |
Name | Type | Use | Default | Fixed | annotation
address | xs:string | required |  |  |
documentation
The address in the electronic delivery channel. For example Netpost uses ElectronicAddressID that uses the form 99999999-Q, where 99999999 is the OTS customer number of the recipient. The -Q part, where Q is the checksum character, is optional. For example, valid electronic addresses of Netpost are 00345213 and 00345213-R.
channelName | derived by: xs:string | required |  |  |
documentation
The name of the electronic channel.
annotation |
documentation
The address used in the electronic delivery channel
source | <xs:complexType name="ElectronicAddressType"> <xs:annotation> <xs:documentation>The address used in the electronic delivery channel</xs:documentation> </xs:annotation> <xs:attribute name="address" type="xs:string" use="required"> <xs:annotation> <xs:documentation>The address in the electronic delivery channel. For example Netpost uses ElectronicAddressID that uses the form 99999999-Q, where 99999999 is the OTS customer number of the recipient. The -Q part, where Q is the checksum character, is optional. For example, valid electronic addresses of Netpost are 00345213 and 00345213-R. </xs:documentation> </xs:annotation> </xs:attribute> <xs:attribute name="channelName" use="required"> <xs:annotation> <xs:documentation>The name of the electronic channel.</xs:documentation> </xs:annotation> <xs:simpleType> <xs:restriction base="xs:string"> <xs:enumeration value="None"/> <xs:enumeration value="Netpost"/> </xs:restriction> </xs:simpleType> </xs:attribute> </xs:complexType>

attribute ElectronicAddressType/@address

type | xs:string
properties |
isRef | 0
use | required
annotation |
documentation
The address in the electronic delivery channel. For example Netpost uses ElectronicAddressID that uses the form 99999999-Q, where 99999999 is the OTS customer number of the recipient. The -Q part, where Q is the checksum character, is optional. For example, valid electronic addresses of Netpost are 00345213 and 00345213-R.
source | <xs:attribute name="address" type="xs:string" use="required"> <xs:annotation> <xs:documentation>The address in the electronic delivery channel. For example Netpost uses ElectronicAddressID that uses the form 99999999-Q, where 99999999 is the OTS customer number of the recipient. The -Q part, where Q is the checksum character, is optional. For example, valid electronic addresses of Netpost are 00345213 and 00345213-R. </xs:documentation> </xs:annotation> </xs:attribute>

attribute ElectronicAddressType/@channelName

type | restriction of xs:string
properties |
isRef | 0
use | required
facets |
enumeration | None
enumeration | Netpost
annotation |
documentation
The name of the electronic channel.
source | <xs:attribute name="channelName" use="required"> <xs:annotation> <xs:documentation>The name of the electronic channel.</xs:documentation> </xs:annotation> <xs:simpleType> <xs:restriction base="xs:string"> <xs:enumeration value="None"/> <xs:enumeration value="Netpost"/> </xs:restriction> </xs:simpleType> </xs:attribute>

complexType MailAddress

diagram |
namespace | urn:itella-letterbundle-v0x4
children | lb:Eu1
used by |
elements | LetterMeta/Recipient/Address LetterMeta/Sender/Address BundleCommon/Sender/SenderAddress
annotation |
documentation
Mail address
source | <xs:complexType name="MailAddress"> <xs:annotation> <xs:documentation>Mail address</xs:documentation> </xs:annotation> <xs:choice> <xs:element name="Eu1"> <xs:annotation> <xs:documentation>Address format eu1. Valid format in Finland.</xs:documentation> </xs:annotation> <xs:complexType> <xs:attribute name="Row0" use="optional"> <xs:annotation> <xs:documentation>Row0: Person title, customernumber etc.</xs:documentation> </xs:annotation> <xs:simpleType> <xs:restriction base="xs:string"> <xs:whiteSpace value="preserve"/> </xs:restriction> </xs:simpleType> </xs:attribute> <xs:attribute name="name" use="required"> <xs:annotation> <xs:documentation>Row1: The name of the person or the organisation.</xs:documentation> </xs:annotation> <xs:simpleType> <xs:restriction base="xs:string"> <xs:whiteSpace value="preserve"/> </xs:restriction> </xs:simpleType> </xs:attribute> <xs:attribute name="nameAddition" type="xs:string" use="optional"> <xs:annotation> <xs:documentation>Row2: Addition for the name. Example: department, office or revisor.</xs:documentation> </xs:annotation> </xs:attribute> <xs:attribute name="Row3" type="xs:string" use="optional"> <xs:annotation> <xs:documentation>Row3: This is not used for the delivery. Here can be street address even if the address (Row4) is for the Post Box.</xs:documentation> </xs:annotation> </xs:attribute> <xs:attribute name="address" use="required"> <xs:annotation> <xs:documentation>Row4: The delivery address</xs:documentation> </xs:annotation> <xs:simpleType> <xs:restriction base="xs:string"> <xs:whiteSpace value="preserve"/> </xs:restriction> </xs:simpleType> </xs:attribute> <xs:attribute name="postalCode" use="required"> <xs:annotation> <xs:documentation>Row5a: Use the standard of each country for the postal codes without the country code. In Finland the length of the postal code is always 5 digits. </xs:documentation> </xs:annotation> <xs:simpleType> <xs:restriction base="xs:string"> <xs:whiteSpace value="preserve"/> </xs:restriction> </xs:simpleType> </xs:attribute> <xs:attribute name="city" use="required"> <xs:annotation> <xs:documentation>Row5b: the city</xs:documentation> </xs:annotation> <xs:simpleType> <xs:restriction base="xs:string"> <xs:whiteSpace value="preserve"/> </xs:restriction> </xs:simpleType> </xs:attribute> <xs:attribute name="countryCode" use="required"> <xs:annotation> <xs:documentation>Row6: Example FI. The two letter country code using the ISO3166 standard. If the country code is unknown then use XX.</xs:documentation> </xs:annotation> <xs:simpleType> <xs:restriction base="xs:string"> <xs:length value="2"/> </xs:restriction> </xs:simpleType> </xs:attribute> </xs:complexType> </xs:element> </xs:choice> </xs:complexType>

element MailAddress/Eu1

diagram |
namespace | urn:itella-letterbundle-v0x4
properties |
isRef | 0
content | complex
attributes |
Name | Type | Use | Default | Fixed | annotation
Row0 | derived by: xs:string | optional |  |  |
documentation
Row0: Person title, customernumber etc.
name | derived by: xs:string | required |  |  |
documentation
Row1: The name of the person or the organisation.
nameAddition | xs:string | optional |  |  |
documentation
Row2: Addition for the name. Example: department, office or revisor.
Row3 | xs:string | optional |  |  |
documentation
Row3: This is not used for the delivery. Here can be street address even if the address (Row4) is for the Post Box.
address | derived by: xs:string | required |  |  |
documentation
Row4: The delivery address
postalCode | derived by: xs:string | required |  |  |
documentation
Row5a: Use the standard of each country for the postal codes without the country code. In Finland the length of the postal code is always 5 digits.
city | derived by: xs:string | required |  |  |
documentation
Row5b: the city
countryCode | derived by: xs:string | required |  |  |
documentation
Row6: Example FI. The two letter country code using the ISO3166 standard. If the country code is unknown then use XX.
annotation |
documentation
Address format eu1. Valid format in Finland.
source | <xs:element name="Eu1"> <xs:annotation> <xs:documentation>Address format eu1. Valid format in Finland.</xs:documentation> </xs:annotation> <xs:complexType> <xs:attribute name="Row0" use="optional"> <xs:annotation> <xs:documentation>Row0: Person title, customernumber etc.</xs:documentation> </xs:annotation> <xs:simpleType> <xs:restriction base="xs:string"> <xs:whiteSpace value="preserve"/> </xs:restriction> </xs:simpleType> </xs:attribute> <xs:attribute name="name" use="required"> <xs:annotation> <xs:documentation>Row1: The name of the person or the organisation.</xs:documentation> </xs:annotation> <xs:simpleType> <xs:restriction base="xs:string"> <xs:whiteSpace value="preserve"/> </xs:restriction> </xs:simpleType> </xs:attribute> <xs:attribute name="nameAddition" type="xs:string" use="optional"> <xs:annotation> <xs:documentation>Row2: Addition for the name. Example: department, office or revisor.</xs:documentation> </xs:annotation> </xs:attribute> <xs:attribute name="Row3" type="xs:string" use="optional"> <xs:annotation> <xs:documentation>Row3: This is not used for the delivery. Here can be street address even if the address (Row4) is for the Post Box.</xs:documentation> </xs:annotation> </xs:attribute> <xs:attribute name="address" use="required"> <xs:annotation> <xs:documentation>Row4: The delivery address</xs:documentation> </xs:annotation> <xs:simpleType> <xs:restriction base="xs:string"> <xs:whiteSpace value="preserve"/> </xs:restriction> </xs:simpleType> </xs:attribute> <xs:attribute name="postalCode" use="required"> <xs:annotation> <xs:documentation>Row5a: Use the standard of each country for the postal codes without the country code. In Finland the length of the postal code is always 5 digits. </xs:documentation> </xs:annotation> <xs:simpleType> <xs:restriction base="xs:string"> <xs:whiteSpace value="preserve"/> </xs:restriction> </xs:simpleType> </xs:attribute> <xs:attribute name="city" use="required"> <xs:annotation> <xs:documentation>Row5b: the city</xs:documentation> </xs:annotation> <xs:simpleType> <xs:restriction base="xs:string"> <xs:whiteSpace value="preserve"/> </xs:restriction> </xs:simpleType> </xs:attribute> <xs:attribute name="countryCode" use="required"> <xs:annotation> <xs:documentation>Row6: Example FI. The two letter country code using the ISO3166 standard. If the country code is unknown then use XX.</xs:documentation> </xs:annotation> <xs:simpleType> <xs:restriction base="xs:string"> <xs:length value="2"/> </xs:restriction> </xs:simpleType> </xs:attribute> </xs:complexType> </xs:element>

attribute MailAddress/Eu1/@Row0

type | restriction of xs:string
properties |
isRef | 0
use | optional
facets |
whiteSpace | preserve
annotation |
documentation
Row0: Person title, customernumber etc.
source | <xs:attribute name="Row0" use="optional"> <xs:annotation> <xs:documentation>Row0: Person title, customernumber etc.</xs:documentation> </xs:annotation> <xs:simpleType> <xs:restriction base="xs:string"> <xs:whiteSpace value="preserve"/> </xs:restriction> </xs:simpleType> </xs:attribute>

attribute MailAddress/Eu1/@name

type | restriction of xs:string
properties |
isRef | 0
use | required
facets |
whiteSpace | preserve
annotation |
documentation
Row1: The name of the person or the organisation.
source | <xs:attribute name="name" use="required"> <xs:annotation> <xs:documentation>Row1: The name of the person or the organisation.</xs:documentation> </xs:annotation> <xs:simpleType> <xs:restriction base="xs:string"> <xs:whiteSpace value="preserve"/> </xs:restriction> </xs:simpleType> </xs:attribute>

attribute MailAddress/Eu1/@nameAddition

type | xs:string
properties |
isRef | 0
use | optional
annotation |
documentation
Row2: Addition for the name. Example: department, office or revisor.
source | <xs:attribute name="nameAddition" type="xs:string" use="optional"> <xs:annotation> <xs:documentation>Row2: Addition for the name. Example: department, office or revisor.</xs:documentation> </xs:annotation> </xs:attribute>

attribute MailAddress/Eu1/@Row3

type | xs:string
properties |
isRef | 0
use | optional
annotation |
documentation
Row3: This is not used for the delivery. Here can be street address even if the address (Row4) is for the Post Box.
source | <xs:attribute name="Row3" type="xs:string" use="optional"> <xs:annotation> <xs:documentation>Row3: This is not used for the delivery. Here can be street address even if the address (Row4) is for the Post Box.</xs:documentation> </xs:annotation> </xs:attribute>

attribute MailAddress/Eu1/@address

type | restriction of xs:string
properties |
isRef | 0
use | required
facets |
whiteSpace | preserve
annotation |
documentation
Row4: The delivery address
source | <xs:attribute name="address" use="required"> <xs:annotation> <xs:documentation>Row4: The delivery address</xs:documentation> </xs:annotation> <xs:simpleType> <xs:restriction base="xs:string"> <xs:whiteSpace value="preserve"/> </xs:restriction> </xs:simpleType> </xs:attribute>

attribute MailAddress/Eu1/@postalCode

type | restriction of xs:string
properties |
isRef | 0
use | required
facets |
whiteSpace | preserve
annotation |
documentation
Row5a: Use the standard of each country for the postal codes without the country code. In Finland the length of the postal code is always 5 digits.
source | <xs:attribute name="postalCode" use="required"> <xs:annotation> <xs:documentation>Row5a: Use the standard of each country for the postal codes without the country code. In Finland the length of the postal code is always 5 digits. </xs:documentation> </xs:annotation> <xs:simpleType> <xs:restriction base="xs:string"> <xs:whiteSpace value="preserve"/> </xs:restriction> </xs:simpleType> </xs:attribute>

attribute MailAddress/Eu1/@city

type | restriction of xs:string
properties |
isRef | 0
use | required
facets |
whiteSpace | preserve
annotation |
documentation
Row5b: the city
source | <xs:attribute name="city" use="required"> <xs:annotation> <xs:documentation>Row5b: the city</xs:documentation> </xs:annotation> <xs:simpleType> <xs:restriction base="xs:string"> <xs:whiteSpace value="preserve"/> </xs:restriction> </xs:simpleType> </xs:attribute>

attribute MailAddress/Eu1/@countryCode

type | restriction of xs:string
properties |
isRef | 0
use | required
facets |
length | 2
annotation |
documentation
Row6: Example FI. The two letter country code using the ISO3166 standard. If the country code is unknown then use XX.
source | <xs:attribute name="countryCode" use="required"> <xs:annotation> <xs:documentation>Row6: Example FI. The two letter country code using the ISO3166 standard. If the country code is unknown then use XX.</xs:documentation> </xs:annotation> <xs:simpleType> <xs:restriction base="xs:string"> <xs:length value="2"/> </xs:restriction> </xs:simpleType> </xs:attribute>

complexType TextWithLanguageType

diagram |
namespace | urn:itella-letterbundle-v0x4
used by |
elements | LetterMeta/Sender/name LetterMeta/LetterDetails/Subject
attributes |
Name | Type | Use | Default | Fixed | annotation
language | xs:language | optional |  |  |
documentation
The language code as defined by RFC 3066. Examples: "fi" = Finnish, "fi-FI" = Finnish, "sv-SE" = Swedish, "en-GB" = English (Great Britain)
text | xs:string | required |  |  |
annotation |
documentation
Text element that has language attribute
source | <xs:complexType name="TextWithLanguageType"> <xs:annotation> <xs:documentation>Text element that has language attribute</xs:documentation> </xs:annotation> <xs:attribute name="language" type="xs:language" use="optional"> <xs:annotation> <xs:documentation>The language code as defined by RFC 3066. Examples: "fi" = Finnish, "fi-FI" = Finnish, "sv-SE" = Swedish, "en-GB" = English (Great Britain)</xs:documentation> </xs:annotation> </xs:attribute> <xs:attribute name="text" type="xs:string" use="required"/> </xs:complexType>

attribute TextWithLanguageType/@language

type | xs:language
properties |
isRef | 0
use | optional
annotation |
documentation
The language code as defined by RFC 3066. Examples: "fi" = Finnish, "fi-FI" = Finnish, "sv-SE" = Swedish, "en-GB" = English (Great Britain)
source | <xs:attribute name="language" type="xs:language" use="optional"> <xs:annotation> <xs:documentation>The language code as defined by RFC 3066. Examples: "fi" = Finnish, "fi-FI" = Finnish, "sv-SE" = Swedish, "en-GB" = English (Great Britain)</xs:documentation> </xs:annotation> </xs:attribute>

attribute TextWithLanguageType/@text

type | xs:string
properties |
isRef | 0
use | required
source | <xs:attribute name="text" type="xs:string" use="required"/>